jQuery(document).ready(function($)
{
    
    //Masonary Grid
    $('.qc-grid').packery({
      itemSelector: '.qc-grid-item',
      gutter: 10
    });

    //Filter Directory Lists
    $(".filter-area > a"). on("click", function(event){

        event.preventDefault();

        var filterName = $(this).attr("data-filter");

        $(".filter-area > a").removeClass("filter-active");
        $(this).addClass("filter-active");

        if( filterName == "all" )
        {
            $("#opd-list-holder .qc-grid-item").css("display", "block");
        }
        else
        {
            $("#opd-list-holder .qc-grid-item").css("display", "none");
            $("#opd-list-holder .qc-grid-item."+filterName+"").css("display", "block");
        }

        $('.qc-grid').packery({
          itemSelector: '.qc-grid-item',
          gutter: 10
        });

    });

    //UpvoteCount
    $(".upvote-btn-ilist").on("click", function(event){

        event.preventDefault();
		
        var data_id = $(this).attr("data-post-id");
        var data_title = $(this).attr("data-item-title");
        var data_link = $(this).attr("data-item-link");
        var data_desc = $(this).attr("data-item-desc");
		
        var parentLI = $(this).closest('li').attr("id");
		
		if(typeof(parentLI)=='undefined'){
			var parentLI = $(this).closest('.single-item').attr("id");
			
		}
		if(typeof(parentLI)=='undefined'){
			var parentLI = $(this).closest('.upvote-section').attr("id");
			
		}
		
		//alert(parentLI);
        var selectorBody = $('.qc-grid-item span[data-post-id="'+data_id+'"][data-item-title="'+data_title+'"][data-item-link="'+data_link+'"]');

        var selectorWidget = $('.widget span[data-post-id="'+data_id+'"][data-item-title="'+data_title+'"][data-item-link="'+data_link+'"]');

        var bodyLiId = $(".qc-grid-item").find(selectorBody).closest('li').attr("id");
        var WidgetLiId = $(selectorWidget).closest('li').attr("id");
		//alert(parentLI);
        //alert( bodyLiId );

        $.post(ajaxurl, {            
            action: 'qcld_upvote_action', 
            post_id: data_id,
            meta_title: data_title,
            meta_link: data_link,
            meta_desc: data_desc,
            li_id: parentLI,
            security: qc_sld_get_ajax_nonce
                
        }, function(data) {
            var json = $.parseJSON(data);
            console.log(json);
            //console.log(json.exists);
            if( json.vote_status == 'success' )
            {
                $('#'+parentLI+' .upvote-count-ilist').html(json.votes);

            }
        });
       
    });
	
	
  



});


jQuery(document).ready(function($)
{
	
    $("#filter").keyup(function(){
 
        // Retrieve the input field text and reset the count to zero
        var filter = $(this).val(), count = 0;
 
        // Loop through the comment list
        $("#opd-list-holder ul li").each(function(){

            var dataTitleTxt = $(this).children('a').attr('data-title');

            if( typeof(dataTitleTxt) == 'undefined' ){
                dataTitleTxt = "-----";
            }
 
            // If the list item does not contain the text phrase fade it out
            if ($(this).text().search(new RegExp(filter, "i")) < 0 && dataTitleTxt.search(new RegExp(filter, "i")) < 0) {
                $(this).fadeOut();
				$(this).removeClass("showMe");			
 
            // Show the list item if the phrase matches and increase the count by 1
            }
            else {
                $(this).show();
				$(this).addClass("showMe");
                count++;
            }
        });
		
		$(".qcopd-single-list, .qcopd-single-list-1, .opd-list-style-8, .opd-list-style-9").each(function(){
            
			var visibleItems = $(this).find("li.showMe").length;
			
			//console.log(visibleItems);
			
			if(visibleItems==0){
				$(this).hide();
			}else{
				$(this).show();
			}
		});
		
		$('.qc-grid').packery({
          itemSelector: '.qc-grid-item',
          gutter: 10
        });
		
		
 
    });

});



/* Copy and Share Button */
jQuery(document).ready(function($){
    jQuery('.iList-outer-wrapper').each(function(){
        var display_copy_share = jQuery(this).data('display_copy_share');
        if( display_copy_share == false ){
            jQuery(this).find('.qcilist-copy-share-section').remove();
        }
    });
    jQuery('.qcilist-copy-share-button').on('click', function(e){
        e.stopImmediatePropagation();
        var _this = jQuery(this);
        if( !jQuery(this).hasClass('ilist-copy-share-active') ){
            jQuery(this).addClass('ilist-copy-share-active');
        }else{
            jQuery('.qcilist-copy-share-button').removeClass('ilist-copy-share-active');
        }
        jQuery('.qcilist-copy-share-button-lists').each(function(){
            if( !jQuery(this).parents('.qcilist-copy-share-button').hasClass('ilist-copy-share-active') ){
                jQuery('.qcilist-copy-share-button-lists').slideUp();
            }else{
                //jQuery(this).parents('.qcilist-copy-share-button').removeClass('ilist-copy-share-active')
            }
        });

        if( jQuery(this).hasClass('ilist-copy-share-active') ){
            jQuery(this).siblings('.qcilist-copy-share-button-lists-container').find('.qcilist-copy-share-button-lists').slideDown(function(){
                jQuery('.qcilist-copy-share-button').not(_this).removeClass('ilist-copy-share-active');
            });
        }
        
    });
    jQuery('.qcilist-copy-button').on('click', function(e){
        e.stopImmediatePropagation();
        var element_id = jQuery(this).parents('.qcilist-copy-share-section').find('.list-twentyTwo-copied-content').attr('id');
        qcilist_pro_copy_texts(element_id);
    });

    jQuery(document).on('click', function(){
        jQuery('.qcilist-copy-share-button').removeClass('ilist-copy-share-active');
        jQuery('.qcilist-copy-share-button-lists').slideUp();
    });

    jQuery('.qcilist-copy-share-button-lists').on('click', function(e){
        e.stopPropagation();
    });

    jQuery('.qcilist-share-fb-button a').on('click', function(e){
        e.preventDefault();
        e.stopImmediatePropagation();
        var url = jQuery(this).attr('href');
        window.open(url, 'share on facebook', "width=600,height=600,scrollbars=yes");
    });
    
   var copy_success_message = jQuery('.copy-success-message').clone();
  jQuery('.copy-success-message').remove();
  jQuery('body').append(copy_success_message);
});

function qcilist_pro_copy_texts(containerid){
    console.log(containerid);
    if (window.getSelection) {
        if (window.getSelection().empty) { // Chrome
            window.getSelection().empty();
        } else if (window.getSelection().removeAllRanges) { // Firefox
            window.getSelection().removeAllRanges();
        }
    } else if (document.selection) { // IE?
        document.selection.empty();
    }

    if (document.selection) {
        var range = document.body.createTextRange();
        range.moveToElementText(document.getElementById(containerid));
        range.select().createTextRange();
        document.execCommand("copy");
        jQuery('.copy-success-message').fadeIn();
    } else if (window.getSelection) {
        var range = document.createRange();
        range.selectNode(document.getElementById(containerid));
        window.getSelection().addRange(range);
        document.execCommand("copy");
        jQuery('.copy-success-message').fadeIn();
    }

    setTimeout(function(){
        jQuery('.copy-success-message').fadeOut();
    }, 1500);
}



jQuery(document).ready(function($){

   $("a.ilist-fancybox").on('click', function(event) {
        event.preventDefault();
        var fancybox_id = $(this).attr('id');
        var data_content = $(fancybox_id).html();
        $.fancybox({
            content : data_content,
            type : 'inline',
            maxWidth    : 650,
            maxHeight   : 475,
            fitToView   : true,
            width       : '70%',
            height      : 'auto',
            autoSize    : false,
            autoCenter  : true,
            padding: 0,
        });


    });

  
    function saveScreenshot(canvas) {

        var downloadLink = document.createElement('a');

        downloadLink.download = 'infographics.png';
        canvas.toBlob(function(blob) {
            downloadLink.href = URL.createObjectURL(blob)
            downloadLink.click();
        });

    }


    $(".ilist-download-btn").on("click", function(e) {
        e.preventDefault();

        var post_id = $(this).attr('post-id');

        html2canvas(document.querySelector("#iList-outer-wrapper"),{
            scrollX: 0,
            scrollY: 0,

        }).then(function(canvas){

            console.log('working')

            var image = canvas.toDataURL('image/jpeg', 0.9);
            image = encodeURI(image);

            var data = {
                'post_id': post_id,
                'image': image,
                'action': 'qcilist_pro_list_image_screenshoot_url_info',
                'security': qcld_ilist_ajax.qcld_ajax_nonce
            };


            jQuery.post(qcld_ilist_ajax.admin_url, data, function (response) {

                
                $('.ilist-capture-wrap .qcld_screenshot_shortcode_info').remove();
                $('.ilist-capture-wrap').append('<div class="qcld_screenshot_shortcode_info"></div>');
                $('.ilist-capture-wrap .qcld_screenshot_shortcode_info').html(response.html);

            });



            saveScreenshot(canvas, post_id);

        });

    });


    new WOW().init();

});


(function($) {
    $(document).on('ready', function() {


        setTimeout(function(){ 

            if($('.slick-current').find('.qcld_slick_arrow').closest('div.qcld_ilist_multipage').length > 0 ){

                $('div.qcld_ilist_multipage').find('.slick-arrow').addClass('qcld_slick_arrow');
                
            }else{

               $('div.qcld_ilist_multipage').find('.slick-arrow').removeClass('qcld_slick_arrow');

            }

        }, 500);
        
        $(document).on('click','.qcld_ilist_multipage .slick-next,.qcld_ilist_multipage .slick-prev', function() { 

            var number = $('.qcld_ilist_multipage .slick-slide.slick-current').attr('data-slick-index');
            qcld_ilist_changeurl(window.history.href, number);

            //$('.qcld_ilist_multipage').find('.slick-arrow').css("top", "40%");

            if($('.slick-current').find('.qcld_slick_arrow').closest('div.qcld_ilist_multipage').length > 0 ){

                $('div.qcld_ilist_multipage').find('.slick-arrow').addClass('qcld_slick_arrow');

            }else{

               $('div.qcld_ilist_multipage').find('.slick-arrow').removeClass('qcld_slick_arrow');

            }


        });

        function qcld_ilist_changeurl(url, title) {
            var new_url = url;
            var uri = window.location.toString();
            if (uri.indexOf("?") > 0 ) {
                var clean_uri = uri.substring(0, uri.indexOf("?"));
                window.history.replaceState({}, document.title, clean_uri);
            }
            window.history.pushState(null, '', location.href + '?multipage_list='+ title);

        }

        
      
    });
})(jQuery);