/*

Title:		jQMeter: a jQuery Progress Meter Plugin
Author:		Gerardo Larios
Version:	0.1.2
Website:	http://www.gerardolarios.com/plugins-and-tools/jqmeter
License: 	Dual licensed under the MIT and GPL licenses.

*/

! function(e) {
    e.fn.extend({
        jQMeter: function(t) {
            t && "object" == typeof t && (t = e.extend({}, e.jQMeter.defaults, t)), this.each(function() {
                new e.jQMeter(this, t)
            })
        }
    }), e.jQMeter = function(t, r) {
        if (goal = parseInt(r.goal.replace(/\D/g, "")), raised = parseInt(r.raised.replace(/\D/g, "")), width = r.width, height = r.height, bgColor = r.bgColor, barColor = r.barColor, meterOrientation = r.meterOrientation, animationSpeed = r.animationSpeed, counterSpeed = r.counterSpeed, displayTotal = r.displayTotal, total = raised / goal * 100, total >= 100 && (total = 100), "qcld_vertical" == meterOrientation ? (e(t).html('<div class="qcld_therm outer-qcld_therm qcld_vertical"><div class="qcld_therm inner-qcld_therm qcld_vertical"><span style="display:none;">' + total + "</span></div></div>"), e(t).children(".outer-qcld_therm").attr("style", "width:" + width + ";height:" + height + ";background-color:" + bgColor), e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").attr("style", "background-color:" + barColor + ";height:0;width:100%"), e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").animate({
                height: total + "%"
            }, animationSpeed)) : (e(t).html('<div class="qcld_therm outer-qcld_therm"><div class="qcld_therm inner-qcld_therm"><span style="display:none;">' + total + "</span></div></div>"), e(t).children(".outer-qcld_therm").attr("style", "width:" + width + ";height:" + height + ";background-color:" + bgColor), e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").attr("style", "background-color:" + barColor + ";height:" + height + ";width:0"), e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").animate({
                width: total + "%"
            }, animationSpeed)), displayTotal) {
            var i = parseInt(height),
                n = i / 2 - 13 + "px 10px";
            "horizontal" != meterOrientation && (n = "10px 0"), e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").children().show(), e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").children().css("padding", n), e({
                Counter: 0
            }).animate({
                Counter: e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").children().text()
            }, {
                duration: counterSpeed,
                easing: "swing",
                step: function() {
                    e(t).children(".outer-qcld_therm").children(".inner-qcld_therm").children().text(Math.ceil(this.Counter) + "%")
                }
            })
        }
        e(t).append("<style>.qcld_therm{height:30px;border-radius:5px;}.outer-qcld_therm{margin:20px 0;}.inner-qcld_therm span {color: #fff;display: inline-block;float: right;font-family: Trebuchet MS;font-size: 20px;font-weight: bold;}.qcld_vertical.inner-qcld_therm span{width:100%;text-align:center;}.qcld_vertical.outer-qcld_therm{position:relative;}.qcld_vertical.inner-qcld_therm{position:absolute;bottom:0;}</style>")
    }, e.jQMeter.defaults = {
        width: "100%",
        height: "50px",
        bgColor: "#444",
        barColor: "#bfd255",
        meterOrientation: "horizontal",
        animationSpeed: 2e3,
        counterSpeed: 2e3,
        displayTotal: !0
    }
}(jQuery);