<?php

add_action('wp_head', 'qcilist_pro_ajax_ajaxurl');

function qcilist_pro_ajax_ajaxurl() {

   echo '<script type="text/javascript">
           	var ajaxurl = "' . admin_url('admin-ajax.php') . '";
            var qc_sld_get_ajax_nonce = "'.wp_create_nonce( 'qc-opd').'";
         </script>';
}

//Doing ajax action stuff

function qcilist_pro_upvote_ajax_action_stuff(){

	check_ajax_referer( 'qc-opd', 'security');

	//Get posted items
	$action 	= isset($_POST['action']) ? sanitize_text_field(trim($_POST['action'])):'';
	$post_id 	= isset($_POST['post_id']) ? absint(sanitize_text_field($_POST['post_id'])):'';
	$meta_title = isset($_POST['meta_title']) ? sanitize_text_field(trim($_POST['meta_title'])): '';
	$meta_link 	= isset($_POST['meta_link']) ? sanitize_text_field(trim($_POST['meta_link'])): '';
	$meta_desc 	= isset($_POST['meta_desc']) ? sanitize_text_field(trim($_POST['meta_desc'])): '';
	$li_id 		= isset($_POST['li_id']) ? sanitize_text_field(trim($_POST['li_id'])): '';

	
	// Check wpdb directly, for all matching meta items
	global $wpdb;

	$results = $wpdb->get_results( "SELECT * FROM $wpdb->postmeta WHERE post_id = $post_id AND meta_key = 'qcld_text_group'" );

	//Defaults
	$votes = 0;

	$data['votes'] = 0;
	$data['vote_status'] = 'failed';
	
	$exists = in_array("$li_id", $_COOKIE['voted_li']);
	
	//If li-id not exists in the cookie, then prceed to vote
	if( !$exists ){

		if(!empty($results)){
		
			foreach( $results as $ke => $value ){
				
				$item = $value;
				$meta_id = $value->meta_id;
				
				//Unserializing meta value
				$unserializedarray = unserialize($value->meta_value);
				//creating new array for update value
				$new_sl_array = array();
				
				foreach($unserializedarray as $k=>$unserialized){ 
					
					if($meta_desc==''){
						$meta_desc = 'no data';
					}
					
					//Matching for meta value key , what need to be update.
					if( trim($unserialized['qcld_text_title']) == stripslashes(trim($meta_title)) || ($unserialized['qcld_text_desc']) == stripslashes($meta_desc) ){
						
						$metaId = $meta_id;
						//Defaults for current iteration
						$upvote_count = 0;
						$new_array = array();
						$flag = 0;

						//Check if there already a set value (previous)
						if (array_key_exists('sl_thumbs_up', $unserialized))
						{
							$upvote_count = (int)$unserialized['sl_thumbs_up'];
							$flag = 1;
						}
						$tflag=0;
						if (!array_key_exists('sl_thumbs_up_user', $unserialized)){
							$unserialized['sl_thumbs_up_user']= '';
							$tflag = 1;
						}
						//User information saving array.
						$userinfo = array();
						foreach( $unserialized as $skey => $svalue )
						{
							
							if($flag)
							{
								if( $skey == 'sl_thumbs_up')
								{
									$new_array[$skey] =  $upvote_count + 1;
								}
								else
								{
									$new_array[$skey] = $svalue;
								}
								
							}	// End of Flag
							else
							{
								$new_array[$skey] = $svalue;	
							}
						}	//End of Foreach Loop

						if( !$flag )
						{
							$new_array['sl_thumbs_up'] = $upvote_count + 1;	
						}
						//Collection user info
						$userinfo[] = array('ip'=>$_SERVER['REMOTE_ADDR'],'user_agent'=>$_SERVER['HTTP_USER_AGENT'],'time'=>date('Y-m-d H:i:s'));
						if($tflag==1){
							$getnewvalue = $userinfo;
						}else{
							$getthumbsupusers = unserialize($unserialized['sl_thumbs_up_user']);
							$getnewvalue = array_merge($getthumbsupusers,$userinfo);
						}
						//User info assign to meta value key.
						$new_array['sl_thumbs_up_user'] = serialize($getnewvalue);
						
						$votes = (int)$new_array['sl_thumbs_up'];
						$new_sl_array[$k] = $new_array;

					}else{
						$new_sl_array[$k] = $unserialized;
						
					}
				}	//End of Foreach Loop
					
						
						//New Updated value in Array
						$updated_value = serialize($new_sl_array);
						//wp update query
						$wpdb->update( 
							$wpdb->postmeta, 
							array( 
								'meta_value' => $updated_value,
							), 
							array( 'meta_id' => $meta_id )
						);
						
						$voted_li = array("$li_id");
						
						$total = 0;
						$total = count($_COOKIE['voted_li']);
						$total = $total+1;
						//Creating cookie..
						setcookie("voted_li[$total]",$li_id, time() + (86400 * 30), "/");

						$data['vote_status'] = 'success';
						$data['votes'] = $votes;

			}	//End of Foreach Loop
		}	//End of if
	}	//End of cookie checking.

	$data['cookies'] = $_COOKIE['voted_li'];
	
	echo json_encode($data);


	die(); // stop executing script
}

//Implementing the ajax action for frontend users
add_action( 'wp_ajax_qcld_upvote_action', 'qcilist_pro_upvote_ajax_action_stuff' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_qcld_upvote_action', 'qcilist_pro_upvote_ajax_action_stuff' ); // ajax for not logged in users

function qcilist_pro_show_textlist_templates(){
$dir = dirname(__FILE__).'/views';
$simplelist = array();
if(is_dir($dir)){
	
	if ($dh = opendir($dir)){
    while (($file = readdir($dh)) !== false){
      if(strlen($file)>2){
			$asd = scandir($dir.'/'.$file);
			if(array_search('config.xml',$asd)){
				
				$data = @simplexml_load_file($dir.'/'.$file.'/config.xml');
				
				$explodata = @explode(',',$data->type);
				
				foreach($explodata as $expd){

					if($expd=='Simplelist' or $expd=='simplelist'){
						if($data->templatetype=='free'){
							$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}else{
							$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}						
						
					}
				
				}
				
			}
		
	  }
	 
    }

    closedir($dh);
  }
}

?>
	<div id="sm-modal" class="ilistmodaltemplate">

		<!-- Modal content -->
		<div class="modal-content-template" data="qcld_sl_template_text">
			<span class="close">×</span>
			<h3><?php esc_html_e( ' Choose Template ' , 'iList' ); ?></h3>
			<hr/>
			<div class="qcld_ilist_template_selection">
				<div class="ilist_masonry">
				<?php foreach($simplelist as $key=>$val) : ?>
					<div class="ilist_list_elem" data="<?php echo esc_attr( $key ); ?>">
						<img class="lazy" data-original="<?php echo esc_attr( $val ); ?>" />
						<p><?php echo esc_attr( $key ); ?></p>
					</div>
				<?php endforeach; ?>
				</div>
				
			</div>
		</div>

	</div>
	
<?php
	die();
}

add_action( 'wp_ajax_show_textlist_templates', 'qcilist_pro_show_textlist_templates' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_textlist_templates', 'qcilist_pro_show_textlist_templates' ); // ajax for not logged in users

// image list
function qcilist_pro_show_imagelist_templates(){
$dir = dirname(__FILE__).'/views';
$simplelist = array();
if(is_dir($dir)){
	
	if ($dh = opendir($dir)){
    while (($file = readdir($dh)) !== false){
      if(strlen($file)>2){
			$asd = scandir($dir.'/'.$file);
			if(array_search('config.xml',$asd)){
				
				$data = @simplexml_load_file($dir.'/'.$file.'/config.xml');
				
				$explodata = @explode(',',$data->type);
				
				foreach($explodata as $expd){

					if($expd=='Imagelist' or $expd=='imagelist'){
						if($data->templatetype=='free'){
							$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}else{
							$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}						
						
					}
				
				}
				
			}
		
	  }
	 
    }

    closedir($dh);
  }
}

?>
	<div id="sm-modal" class="ilistmodaltemplate">

		<!-- Modal content -->
		<div class="modal-content-template" data="qcld_sl_template_image">
			<span class="close">×</span>
			<h3><?php esc_html_e( ' Choose Template ' , 'iList' ); ?></h3>
			<hr/>
			<div class="qcld_ilist_template_selection">
				<div class="ilist_masonry">
				<?php foreach($simplelist as $key=>$val) : ?>
					<div class="ilist_list_elem" data="<?php echo esc_attr( $key ); ?>">
						<img class="lazy" data-original="<?php echo esc_attr( $val ); ?>" />
						<p><?php echo esc_attr( $key ); ?></p>
					</div>
				<?php endforeach; ?>
				</div>
				
			</div>
		</div>

	</div>
<?php
	die();
}

add_action( 'wp_ajax_show_imagelist_templates', 'qcilist_pro_show_imagelist_templates' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_imagelist_templates', 'qcilist_pro_show_imagelist_templates' ); // Elegant List
function qcilist_pro_show_elegantlist_templates(){
$dir = dirname(__FILE__).'/views';
$simplelist = array();
$simplelist_premium = array();
if(is_dir($dir)){
	
	if ($dh = opendir($dir)){
    while (($file = readdir($dh)) !== false){
      if(strlen($file)>2){
			$asd = scandir($dir.'/'.$file);
			if(array_search('config.xml',$asd)){
				
				$data = @simplexml_load_file($dir.'/'.$file.'/config.xml');
				
				$explodata = @explode(',',$data->type);
				
				foreach($explodata as $expd){

					if($expd=='Infographic' or $expd=='infographic'){
						if($data->templatetype=='free'){
							$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}else{
							$simplelist_premium[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}						
						
					}
				
				}
				
			}
		
	  }
	 
    }

    closedir($dh);
  }
}

?>
	<div id="sm-modal" class="ilistmodaltemplate">

		<!-- Modal content -->
		<div class="modal-content-template" data="qcld_sl_template_mix">
			<span class="close">×</span>
			<h3><?php esc_html_e( 'Premium Templates' , 'iList' ); ?></h3>
			<hr/>
			<div class="qcld_ilist_template_selection">

				<div class="ilist_masonry">
				<?php foreach($simplelist_premium as $key=>$val) : ?>
					<div class="ilist_list_elem" data="<?php echo esc_attr( $key ); ?>">
						<img class="lazy1" src="<?php echo esc_attr( $val ); ?>" />
						<p><?php echo esc_attr( $key ); ?></p>
					</div>
				<?php endforeach; ?>
				</div>
				
				<h3><?php esc_html_e( 'Basic Templates' , 'iList' ); ?></h3>
				<hr/>

				<div class="ilist_masonry">
				<?php foreach($simplelist as $key=>$val) : ?>
					<div class="ilist_list_elem" data="<?php echo esc_attr( $key ); ?>">
						<img class="lazy1" src="<?php echo esc_attr( $val ); ?>" />
						<p><?php echo esc_attr( $key ); ?></p>
					</div>
				<?php endforeach; ?>
				</div>
				
			</div>
		</div>

	</div>
	
<?php
	die();
}


add_action( 'wp_ajax_show_multipage_templates', 'qcilist_pro_show_multipage_templates' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_multipage_templates', 'qcilist_pro_show_multipage_templates' ); // Elegant List
function qcilist_pro_show_multipage_templates(){
$dir = dirname(__FILE__).'/views';
$simplelist = array();
if(is_dir($dir)){
	
	if ($dh = opendir($dir)){
    while (($file = readdir($dh)) !== false){
      if(strlen($file)>2){
			$asd = scandir($dir.'/'.$file);
			if(array_search('config.xml',$asd)){
				
				$data = @simplexml_load_file($dir.'/'.$file.'/config.xml');
				
				$explodata = @explode(',',$data->type);
				
				foreach($explodata as $expd){

					if($expd=='Multipage' or $expd=='multipage'){
						if($data->templatetype=='multipage'){
							$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}else{
							$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
						}						
						
					}
				
				}
				
			}
		
	  	}
	 
    }

    closedir($dh);
  }
}

?>
	<div id="sm-modal" class="ilistmodaltemplate">

		<!-- Modal content -->
		<div class="modal-content-template" data="qcld_sl_template_multipage">
			<span class="close">×</span>
			<h3><?php esc_html_e( 'Choose Template' , 'iList' ); ?></h3>
			<hr/>
			<div class="qcld_ilist_template_selection">
				<div class="ilist_masonry">
				<?php foreach($simplelist as $key=>$val) : ?>
					<div class="ilist_list_elem" data="<?php echo esc_attr( $key ); ?>">
						<img class="lazy1" src="<?php echo esc_attr( $val ); ?>" />
					</div>
				<?php endforeach; ?>
				</div>
			</div>
		</div>
	</div>
	
<?php
	die();
}

add_action( 'wp_ajax_show_elegantlist_templates', 'qcilist_pro_show_elegantlist_templates' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_elegantlist_templates', 'qcilist_pro_show_elegantlist_templates' ); // 

//all template
function qcilist_pro_show_alllist_templates(){
$dir = dirname(__FILE__).'/views';
$simplelist = array();
if(is_dir($dir)){
	
	if ($dh = opendir($dir)){
    while (($file = readdir($dh)) !== false){
      if(strlen($file)>2){
			$asd = scandir($dir.'/'.$file);
			if(array_search('config.xml',$asd)){
				
				$data = @simplexml_load_file($dir.'/'.$file.'/config.xml');
				
				$explodata = @explode(',',$data->type);
				
				foreach($explodata as $expd){

					$simplelist[$expd][$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );
				
				}
				
			}
		
	  	}
	 
    }

    closedir($dh);
  }
}

?>
	<div id="sm-modal" class="ilistmodaltemplate">

		<!-- Modal content -->
		<div class="modal-content-template" data="ilist_template_select_all">
			<span class="close">×</span>
			<h3><?php esc_html_e( 'Choose Template' , 'iList' ); ?></h3>
			<hr/>
			<div class="qcld_ilist_template_selection">
			<?php foreach($simplelist as $k=>$v) : ?>
				<h2 style="margin: 2em 0;"><?php 
					if($k=='Imagelist'){
						echo esc_html('Graphics List');
					}elseif($k=='Simplelist'){
						echo esc_html('Info List');
					}elseif($k=='Infographic'){
						echo esc_html( 'Infographics' );
					}else{
						echo esc_html( $k );
					}
				?></h2>
				<hr />
				<div class="ilist_masonry">
				<?php foreach($v as $key=>$val) : ?>
					<div class="ilist_list_elem" data="<?php echo esc_attr( $key ); ?>">
						<img src="<?php echo esc_attr( $val ); ?>" />
					</div>
				<?php endforeach; ?>
				</div>
				<?php endforeach; ?>
				
			</div>
		</div>
	</div>
<?php
	die();
}

add_action( 'wp_ajax_show_alllist_templates', 'qcilist_pro_show_alllist_templates' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_alllist_templates', 'qcilist_pro_show_alllist_templates' ); // 


//all template
function qcilist_pro_show_alllist_templates_compare(){
$dir = dirname(__FILE__).'/views';
$simplelist = array();
if(is_dir($dir)){
	
	if ($dh = opendir($dir)){
	    while (($file = readdir($dh)) !== false){
	      	if(strlen($file)>2){
				$asd = scandir($dir.'/'.$file);
				if(array_search('config1.xml',$asd)){

					$simplelist[$file] = plugins_url( 'views/'.$file.'/screenshot.jpg', __FILE__ );

				}
		  	}
		 
	    }
	    closedir($dh);
  	}
}

?>
	<div id="sm-modal" class="ilistmodaltemplate">

		<!-- Modal content -->
		<div class="modal-content-template" data="ilist_template_select_compare">
			<span class="close">×</span>
			<h3><?php esc_html_e( 'Choose Compare Template' , 'iList' ); ?></h3>
			<hr/>
			<div class="qcld_ilist_template_selection">

				<div class="ilist_masonry">
				<?php foreach($simplelist as $key=>$val) : ?>
					<div class="ilist_list_elem" data="<?php echo esc_attr( $key ); ?>" style="width:auto">
						<img class="lazy" src="<?php echo esc_attr( $val ); ?>" data-original="<?php echo esc_attr( $val ); ?>" style="width:auto" />
					</div>
				<?php endforeach; ?>
				</div>
			</div>
		</div>
	</div>
<?php
	die();
}

add_action( 'wp_ajax_show_alllist_templates_compare', 'qcilist_pro_show_alllist_templates_compare' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_alllist_templates_compare', 'qcilist_pro_show_alllist_templates_compare' ); // 


function qcilist_pro_render_shortcode_modal() {

	?>

	<div id="sm-modal" class="ilistmodal">

		<!-- Modal content -->
		<div class="modal-content">
			<span class="close">×</span>
			<h3><img src="<?php echo plugins_url( 'assets/images/1.png', __FILE__ ) ?>" alt="sdf"> <?php esc_html_e( ' - Shortcode Generatorss' , 'iList' ); ?></h3>
			<hr/>
			<style type="text/css">
			    .ilist_tab {
			        overflow: hidden;
			        border: 1px solid #ccc;
			        background-color: #f1f1f1;
			    }

			    /* Style the buttons inside the tab */
			    .ilist_tab button {
			        background-color: inherit;
			        float: left;
			        border: none;
			        outline: none;
			        cursor: pointer;
			        padding: 14px 16px;
			        transition: 0.3s;
			        font-size: 17px;
			    }
			    /* Change background color of buttons on hover */
			    .ilist_tab button:hover {
			        background-color: #ddd;
			    }

			    /* Create an active/current tablink class */
			    .ilist_tab button.ilist_active {
			        background-color: #ccc;
			    }
			    /* Style the tab content */
			    .ilist_tabcontent {
			        display: none;
			        padding: 6px 12px;

			        border-top: none;
			        width: 704px;
			    }
			    #ilist_general{display:block}
			</style>
		<div class="ilist_shortcode_container_area">
			<div class="ilist_tab">
			    <button class="ilist_tablinks ilist_active" onclick="openCity(event, 'ilist_general')"> <?php esc_html_e( 'General' , 'iList' ); ?></button>
			    <button class="ilist_tablinks" onclick="openCity(event, 'ilist_settings')"><?php esc_html_e( 'Compare' , 'iList' ); ?></button>
			</div>

			<div id="ilist_general" class="ilist_tabcontent" style="padding: 6px 12px;">
				<div class="sm_shortcode_list">

					<?php
					echo '<div class="ilist_single_field_shortcode">';
					echo '<label style="width: 200px;display: inline-block;">Select Post </label><select style="width: 225px;" id="ilist_post_select_shortcode"><option value="">Please Select One</option>';
					$ilist = new WP_Query( array( 'post_type' => 'ilist', 'posts_per_page' => -1, 'order' => 'ASC') );
					if( $ilist->have_posts()){
						while( $ilist->have_posts() ){
							$ilist->the_post();
							echo '<option value="'.esc_attr(get_the_ID()).'">' . esc_html(get_the_title()) . '</option>';
						}
					}
					echo '</select>';
					echo '</div>';
					?>

					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;"><?php esc_html_e( 'Column' , 'iList' ); ?></label><select style="width: 225px;" id="ilist_column_shortcode">
							<option value="1"><?php esc_html_e( 'Column 1' , 'iList' ); ?></option>
							<option value="2"><?php esc_html_e( 'Column 2' , 'iList' ); ?></option>

						</select>
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;"><?php esc_html_e( 'Template Style' , 'iList' ); ?></label><input style="width: 225px;" type="text" id="ilist_template_select_all" value="" />
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;"><?php esc_html_e( 'Max Width' , 'iList' ); ?></label><input style="width: 225px;" type="text" id="ilist_template_max_width" value="" placeholder="Ex: 800px or 50%" /><span style="display: block; margin-left: 202px;font-size: 12px;color: #a5a3a3;"><?php esc_html_e( 'Left empty to use default' , 'iList' ); ?></span>
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;"><?php esc_html_e( 'Order By' , 'iList' ); ?></label><select style="width: 225px;" id="ilist_item_orderby">
							<option value=""><?php esc_html_e( 'None' , 'iList' ); ?></option>
							<option value="upvote"><?php esc_html_e( 'Upvotes' , 'iList' ); ?></option>
						</select>
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;"><?php esc_html_e( 'Upvote' , 'iList' ); ?></label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="on" checked="" class="upvote_switcher uiswitch">
						</div>
						<!--<div class="switchilist demo3">
							<input class="upvote_switcher" name="ckbox" value="on" type="checkbox" checked="checked">
							<label><i></i></label>
						</div>-->
						<div style="clear:both"></div>
						<!--<select style="width: 225px;" id="ilist_upvote_shortcode">
							<option value="on">On</option>
							<option value="off">Off</option>
						</select>-->
					</div>
					
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;"><?php esc_html_e( 'List Main Title' , 'iList' ); ?></label>
						
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" checked="" class="main_title_switcher uiswitch">
						</div>
						<!--<div class="switchilist demo3">
							<input class="main_title_switcher" name="ckbox" value="1" type="checkbox" checked="checked">
							<label><i></i></label>
						</div>-->
						<div style="clear:both"></div>
						
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;"><?php esc_html_e( 'Boxed Layout' , 'iList' ); ?></label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" checked="" class="boxed_switcher uiswitch">
						</div>
						
						<!--<div class="switchilist demo3">
							<input class="boxed_switcher" name="ckbox" value="1" type="checkbox" checked="checked">
							<label><i></i></label>
						</div>-->
						<div style="clear:both"></div>
						
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;"><?php esc_html_e( 'Embed Option' , 'iList' ); ?></label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" checked="" class="embed_option_switcher uiswitch">
						</div>
						
						<!--<div class="switchilist demo3">
							<input class="embed_option_switcher" name="ckbox" value="1" type="checkbox" checked="checked">
							<label><i></i></label>
						</div>-->
						<div style="clear:both"></div>
						
					</div>	

					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;"><?php esc_html_e( 'Copy and Share Button' , 'iList' ); ?></label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" class="copy_share_option_switcher uiswitch">
						</div>

						<div style="clear:both"></div>
						
					</div>	
					
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;"><?php esc_html_e( 'Disable Lightbox' , 'iList' ); ?></label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" class="disable_lightbox_switcher uiswitch">
						</div>
						
						<!--<div class="switchilist demo3">
							<input class="embed_option_switcher" name="ckbox" value="1" type="checkbox" checked="checked">
							<label><i></i></label>
						</div>-->
						<div style="clear:both"></div>
						
					</div>		
					
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;"></label><input type="button" id="ilist_shortcode" value="Add Shortcode" />
					</div>
				</div>
			</div>
			<div id="ilist_settings" class="ilist_tabcontent" style="padding: 6px 12px;">
			
				<div class="sm_shortcode_list">
						
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;">Title</label><input style="width: 225px;" type="text" id="ilist_compare_title" value="" />
					</div>
					
					<?php
					echo '<div class="ilist_single_field_shortcode">';
					echo '<label style="width: 200px;display: inline-block;">Select Post One </label><select style="width: 225px;" id="ilist_post_one"><option value="">Please Select One</option>';
					$ilist = new WP_Query( array( 'post_type' => 'ilist', 'posts_per_page' => -1, 'order' => 'ASC') );
					if( $ilist->have_posts()){
						while( $ilist->have_posts() ){
							$ilist->the_post();
							echo '<option value="'.esc_attr(get_the_ID()).'">' . esc_html(get_the_title()) . '</option>';
						}
					}
					echo '</select>';
					echo '</div>';
					?>
					
					<?php
					echo '<div class="ilist_single_field_shortcode">';
					echo '<label style="width: 200px;display: inline-block;">Select Post Two </label><select style="width: 225px;" id="ilist_post_two"><option value="">Please Select One</option>';
					$ilist = new WP_Query( array( 'post_type' => 'ilist', 'posts_per_page' => -1, 'order' => 'ASC') );
					if( $ilist->have_posts()){
						while( $ilist->have_posts() ){
							$ilist->the_post();
							echo '<option value="'.esc_attr(get_the_ID()).'">' . esc_html(get_the_title()) . '</option>';
						}
					}
					echo '</select>';
					echo '</div>';
					?>

					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;">Template Style</label><input style="width: 225px;" type="text" id="ilist_template_select_compare" value="" />
					</div>
					
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;">Main Image</label><input style="width: 225px;" type="text" id="ilist_compare_main_image" value="" placeholder="Click here to select image" /><span style="display: block; margin-left: 202px;font-size: 12px;color: #a5a3a3;">Left empty to use default</span>
					</div>
					
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;">Max Width</label><input style="width: 225px;" type="text" id="ilist_template_max_width_compare" value="" placeholder="Ex: 800px or 50%" /><span style="display: block; margin-left: 202px;font-size: 12px;color: #a5a3a3;">Left empty to use default</span>
					</div>
					
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;">Upvote</label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="on" checked="" class="upvote_switcher_compare uiswitch">
						</div>
						<div style="clear:both"></div>

					</div>
					
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;">List Main Title</label>
						
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" checked="" class="main_title_switcher_compare uiswitch">
						</div>
						<div style="clear:both"></div>
						
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;">Boxed Layout</label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" checked="" class="boxed_switcher_compare uiswitch">
						</div>
						
						<div style="clear:both"></div>
						
					</div>
					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;">Embed Option</label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" checked="" class="embed_option_switcher_compare uiswitch">
						</div>
						<div style="clear:both"></div>
						
					</div>	

					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;">Copy and Share Button</label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" class="copy_share_option_switcher_compare uiswitch">
						</div>

						<div style="clear:both"></div>
						
					</div>	

					<div class="ilist_single_field_shortcode">
						<label style="width: 198px;display: inline-block;margin-top: 0px;">Disable Lightbox</label>
						<div class="fields__item">
							<input type="checkbox" name="ckbox" value="1" class="disable_lightbox_switcher_compare uiswitch">
						</div>
						<div style="clear:both"></div>
					</div>			
					<div class="ilist_single_field_shortcode">
						<label style="width: 200px;display: inline-block;"></label><input type="button" id="ilist_shortcode_compare" value="Shortcode" />
					</div>
				</div>

			
			</div>
		
			<script type="text/javascript">
		            function openCity(evt, cityName) {
		                var i, tabcontent, tablinks;
		                tabcontent = document.getElementsByClassName("ilist_tabcontent");
		                for (i = 0; i < tabcontent.length; i++) {
		                    tabcontent[i].style.display = "none";
		                }
		                tablinks = document.getElementsByClassName("ilist_tablinks");
		                for (i = 0; i < tablinks.length; i++) {
		                    tablinks[i].className = tablinks[i].className.replace(" ilist_active", "");
		                }
		                document.getElementById(cityName).style.display = "block";
		                evt.currentTarget.className += " ilist_active";
		            }

		    </script>
	
		</div>
		<div class="ilist_shortcode_container" style="display:none;">
			<div class="qcpd_single_field_shortcode">
                <textarea style="width:100%;height:200px" id="ilist_shortcode_container"></textarea>
				<p><b>Copy</b> the shortcode & use it any text block. <button class="ilist_copy_close button button-primary button-small" style="float:right">Copy & Close</button></p>
            </div>
		</div>
	</div>

	</div>
	<?php
	exit;
}
add_action( 'wp_ajax_show_shortcodes', 'qcilist_pro_render_shortcode_modal');




add_action('wp_ajax_qcilist_pro_list_image_screenshoot_url_info', 'qcilist_pro_list_image_screenshoot_url_info');
add_action('wp_ajax_nopriv_qcilist_pro_list_image_screenshoot_url_info', 'qcilist_pro_list_image_screenshoot_url_info');

function qcilist_pro_list_image_screenshoot_url_info()
{

	check_ajax_referer( 'qcld-ilist', 'security');

    $post_id  = sanitize_text_field($_POST['post_id']);
    $image 	  = $_POST['image'];

    delete_post_meta( $post_id, 'shortcode_screenshoot_image' );

    add_post_meta( $post_id, 'shortcode_screenshoot_image', $image );

    $shortcode_screenshoot_image = get_post_meta( $post_id, 'shortcode_screenshoot_image' );


    $shortcode_main_title = get_post_meta( $post_id, 'shortcode_main_title' );
    $shortcode_embed_option = get_post_meta( $post_id, 'shortcode_embed_option' );
    $shortcode_boxed_layout = get_post_meta( $post_id, 'shortcode_boxed_layout' );
    $shortcode_column = get_post_meta( $post_id, 'shortcode_column' );
    $shortcode_display_copy_share = get_post_meta( $post_id, 'shortcode_display_copy_share' );
    $shortcode_upvote = get_post_meta( $post_id, 'shortcode_upvote' );



    $post_type_radio_sl = get_post_meta( $post_id, 'post_type_radio_sl' );

    if($post_type_radio_sl[0] ==  'textlist' ){ 
    	$shortcode_list_style = get_post_meta( $post_id, 'qcld_sl_template_text');
    }else if($post_type_radio_sl[0] ==  'imagelist' ){
    	$shortcode_list_style = get_post_meta( $post_id, 'qcld_sl_template_image');
    }else if($post_type_radio_sl[0] ==  'multipage' ){
    	$shortcode_list_style = get_post_meta( $post_id, 'qcld_sl_template_multipage');
    }else{
    	$shortcode_list_style = get_post_meta( $post_id, 'qcld_sl_template_mix');
    }


    $shortcode_generate = '[qcld-ilist mode="one" list_id="'.esc_attr($post_id).'"  style="'.$shortcode_list_style[0].'" upvote="'.$shortcode_upvote[0].'" main_title="'.$shortcode_main_title[0].'" embed_option="'.$shortcode_embed_option[0].'" boxed_layout="'.$shortcode_boxed_layout[0].'" column="'.$shortcode_column[0].'" display_copy_share="'.$shortcode_display_copy_share[0].'" embed_as_image="true"]' ;


    wp_reset_query();
    $response = array(
        'html' => $shortcode_generate,
    );
    echo wp_send_json($response);
    wp_die();

}




function qcld_openai_title_generate_desc() {

	check_ajax_referer( 'qcld-ilist', 'security');

    $title  		= isset( $_POST['title'] ) ? sanitize_text_field($_POST['title']) : '';
    $number  		= isset( $_POST['number'] ) ? sanitize_text_field($_POST['number']) : '';
    $post_id  		= isset( $_POST['post_id'] ) ? sanitize_text_field($_POST['post_id']) : '';

    $OPENAI_API_KEY = ot_get_option('sl_openai_api_key');
    $ai_engines     = ot_get_option('sl_openai_engines');
    $max_token      = ot_get_option('sl_openai_max_token');
    $temperature    = ot_get_option('sl_openai_temperature');
    $ppenalty       = ot_get_option('sl_openai_presence_penalty');
    $fpenalty       = ot_get_option('sl_openai_frequency_penalty');

    $result_data 	= '';

    if(!empty($title)){

    	$post_update = array(
            'ID'         => $post_id,
            'post_title' => $title
        );

        wp_update_post( $post_update );

        //$prompt         = "rewrite this paragraph for a unique artical:\n\n" . $title;
        $prompt         = $number ." blog topics about:\n\n" . $title;

        $request_body = [
            "prompt"            => $prompt,
            "model"             =>  $ai_engines,
            "max_tokens"        => (int)$max_token,
            "temperature"       => (float)$temperature,
            "presence_penalty"  => (float)$ppenalty,
            "frequency_penalty" => (float)$fpenalty,
        ];
        $data    = json_encode($request_body);
        $url     = "https://api.openai.com/v1/completions";
        $apt_key = "Authorization: Bearer ". $OPENAI_API_KEY;

        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $headers    = array(
           "Content-Type: application/json",
           $apt_key ,
        );
        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        $result     = curl_exec($curl);
        curl_close($curl);
        $results    	= json_decode($result);

        $result_data 	= isset( $results->choices[0]->text ) ? trim( $results->choices[0]->text ) : '';

        $qcld_response 	= preg_replace('/\n$/', '', preg_replace('/^\n/', '', preg_replace('/[\r\n]+/', "\n", $result_data)));
        $qcld_response 	= preg_split("/\r\n|\n|\r/", $qcld_response);
        $qcld_response 	= preg_replace('/^\\d+\\.\\s/', '', $qcld_response);
        $qcld_response 	= preg_replace('/\\.$/', '', $qcld_response);
        $qcld_response 	= array_splice($qcld_response, 0, strval($number));


        global $wpdb;

		$results = $wpdb->get_results( "SELECT * FROM $wpdb->postmeta WHERE post_id = $post_id AND meta_key = 'qcld_text_group'" );
		
		//If li-id not exists in the cookie, then prceed to vote

			if(!empty($results)){

			
				foreach( $results as $ke => $value ){
					
					$item = $value;
					$meta_id = $value->meta_id;
					
					$new_sl_array = array();

					//creating new array for update value
					foreach( $qcld_response as $title_value ){

						$prompt         = "rewrite this paragraph for a unique artical:\n\n" . $title_value;

				        $request_body = [
				            "prompt"            => $prompt,
				            "model"             =>  $ai_engines,
				            "max_tokens"        => (int)$max_token,
				            "temperature"       => (float)$temperature,
				            "presence_penalty"  => (float)$ppenalty,
				            "frequency_penalty" => (float)$fpenalty,
				        ];
				        $data    = json_encode($request_body);
				        $url     = "https://api.openai.com/v1/completions";
				        $apt_key = "Authorization: Bearer ". $OPENAI_API_KEY;

				        $curl = curl_init($url);
				        curl_setopt($curl, CURLOPT_URL, $url);
				        curl_setopt($curl, CURLOPT_POST, true);
				        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
				        $headers    = array(
				           "Content-Type: application/json",
				           $apt_key ,
				        );
				        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
				        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
				        $result     = curl_exec($curl);
				        curl_close($curl);
				        $results    	= json_decode($result);

				        $result_data 	= isset( $results->choices[0]->text ) ? trim( $results->choices[0]->text ) : '';

						$new_sl_array[] = array(
											'qcld_text_title' 		=> $title_value,	
											'qcld_text_desc'  		=> $result_data,
											'qcld_text_long_desc'  	=> $result_data
										);	

					}
					
					//New Updated value in Array
					$updated_value = serialize($new_sl_array);
					//wp update query
					$wpdb->update( 
						$wpdb->postmeta, 
						array( 
							'meta_value' => $updated_value,
						), 
						array( 'meta_id' => $meta_id )
					);
							

				}	// End of Foreach Loop
			}	// End of if

    }

    
	$response = array(
       'html' => $result_data,
    );
    echo wp_send_json($response);
    wp_die();

    
	


}
add_action( 'wp_ajax_qcld_openai_title_generate_desc', 'qcld_openai_title_generate_desc');


function qcld_openai_generate_desc() {

	check_ajax_referer( 'qcld-ilist', 'security');

    $title  = isset( $_POST['title'] ) ? sanitize_text_field($_POST['title']) : '';

    $OPENAI_API_KEY = ot_get_option('sl_openai_api_key');
    $ai_engines     = ot_get_option('sl_openai_engines');
    $max_token      = ot_get_option('sl_openai_max_token');
    $temperature    = ot_get_option('sl_openai_temperature');
    $ppenalty       = ot_get_option('sl_openai_presence_penalty');
    $fpenalty       = ot_get_option('sl_openai_frequency_penalty');

    $result_data = '';

    if(!empty($title)){

        $prompt         = "rewrite this paragraph for a unique artical:\n\n" . $title;

        $request_body = [
            "prompt"            => $prompt,
            "model"             =>  $ai_engines,
            "max_tokens"        => (int)$max_token,
            "temperature"       => (float)$temperature,
            "presence_penalty"  => (float)$ppenalty,
            "frequency_penalty" => (float)$fpenalty,
        ];
        $data    = json_encode($request_body);
        $url     = "https://api.openai.com/v1/completions";
        $apt_key = "Authorization: Bearer ". $OPENAI_API_KEY;

        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $headers    = array(
           "Content-Type: application/json",
           $apt_key ,
        );
        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        $result     = curl_exec($curl);
        curl_close($curl);
        $results    = json_decode($result);

        $result_data .= isset( $results->choices[0]->text ) ? trim( $results->choices[0]->text ) : '';

    }

    
	  $response = array(
        'html' => $result_data,
    );
    echo wp_send_json($response);
    wp_die();


}
add_action( 'wp_ajax_qcld_openai_generate_desc', 'qcld_openai_generate_desc');