<?php 
//Shortcode area
add_shortcode('qcld-drag-drop-page', 'qcilist_pro_drag_drop_full_shortcode');

function qcilist_pro_drag_drop_full_shortcode( $atts = array() )
{
	ob_start();

	//Defaults & Set Parameters
	extract( shortcode_atts(
		array(
			'orderby' => 'title',
			'list_id' => '',
			'mode' => '',
		), $atts
	));


	$limit = 1;	
	$orderby = 'title';	
	$order = 'ASC';	

	//Query Parameters
	$list_args = array(
		'post_type' 		=> 'qc_ilist_drag_drop',
		'orderby' 			=> $orderby,
		'order' 			=> $order,
		'posts_per_page' 	=> $limit,
		'p' 				=> $list_id,
	);

	// The Query
	$list_query = new WP_Query( $list_args );

	// The Loop
	if ( $list_query->have_posts() && !empty($list_id)) {

		wp_enqueue_style( 'ilist_infog15_slick_css', QCOPD_ASSETS_URL1 . "/slick/slick.css");
		wp_enqueue_style( 'ilist_infog15_slick_theme_css', QCOPD_ASSETS_URL1 . "/slick/slick-theme.css");
		wp_enqueue_style( 'qc-ilist-drag-icons-style', QCOPD_ASSETS_URL1 . "/assets/css/icons.min.css");
		wp_enqueue_style( 'qc-ilist-drag-fontselect-style', QCOPD_ASSETS_URL1 . "/assets/css/fontselect-alternate.css");

		wp_enqueue_style( 'qc-ilist-drag-frontend-style', QCOPD_ASSETS_URL1 . "/assets/css/drag-drop-frontend-style.css");


		while ( $list_query->have_posts() ) {

			$list_query->the_post();
			
			
			$qcld_drag_drop_publish_in_data = get_post_meta( get_the_ID(), 'qcld_drag_drop_publish_in_data', true );

			$qcld_drag_drop_publish_in_data = str_replace('<div class="ui-resizable-handle ui-resizable-se" style="z-index: 90;"></div><div class="ui-resizable-handle ui-resizable-sw" style="z-index: 90;"></div><div class="ui-resizable-handle ui-resizable-nw" style="z-index: 90;"></div><div class="ui-resizable-handle ui-resizable-ne" style="z-index: 90;"></div>',"",$qcld_drag_drop_publish_in_data);

			$qcld_drag_drop_publish_in_data = str_replace("ui-draggable-handle","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("ui-draggable","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("ui-resizable","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("qcld-drag-drop-draggables","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("qcld-drag-drop-draggable","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("qcld-drag-drop-text","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("qcld-drag-drop-active-theme","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("qcld-drag-drop-active","",$qcld_drag_drop_publish_in_data);
			$qcld_drag_drop_publish_in_data = str_replace("qcld-drag-drop-resizable-active","",$qcld_drag_drop_publish_in_data);

			$qcld_drag_drop_publish_in_data = str_replace("qcld-drag-drop-frame","qcld-drag-drop-frame qcld_ilist_multipage",$qcld_drag_drop_publish_in_data);

			$qcld_drag_drop_publish_in_data = str_replace('<div class="qcld_drag_drop_remove_wrap"><i class="fas fa-trash-alt"></i></div>',"",$qcld_drag_drop_publish_in_data);


			$qcld_drag_drop_publish_in_data = str_replace('contenteditable="false"',"",$qcld_drag_drop_publish_in_data);

			$qcld_drag_drop_publish_in_data = str_replace('<div class="qcld-drag-drop-wrapper-action">
	            		<div class="qcld-drag-drop-wrapper-up" data-title="Move Up"><i class="fas fa-chevron-up"></i></div>
	            		<div class="qcld-drag-drop-wrapper-down" data-title="Move Down"><i class="fas fa-chevron-down"></i></div>
	            		<div class="qcld-drag-drop-wrapper-remove" data-title="Delete Page"><i class="fas fa-trash-alt"></i></div>
	            		<div class="qcld-drag-drop-wrapper-copy" data-title="Copy Page"><i class="far fa-copy"></i></div>
	            		<div class="qcld-drag-drop-wrapper-add" data-title="Add a New Page"><i class="fas fa-plus"></i></div>
	            	</div>',"",$qcld_drag_drop_publish_in_data);


			echo '<div class="qcld-drag-drop-frame-slider">';

			echo $qcld_drag_drop_publish_in_data;

			echo '</div>';


			wp_enqueue_script( 'ilist_infog15_slick_js', QCOPD_ASSETS_URL1 . "/slick/slick.js", array('jquery'));

			if(isset($_GET['multipage_list']) && $_GET['multipage_list']){
				$initialSlide = $_GET['multipage_list'];
			}else{
				$initialSlide=0;
			}

			if(empty($mode)){
				
				$shortcode_drag_drop_template_mode = get_post_meta( get_the_ID(), 'shortcode_drag_drop_template_mode' );
				$mode = $shortcode_drag_drop_template_mode[0];
			}

				$shortcode_drag_drop_template_width = get_post_meta( get_the_ID(), 'shortcode_drag_drop_template_width' );
				$shortcode_drag_drop_template_height = get_post_meta( get_the_ID(), 'shortcode_drag_drop_template_height' );

			if($mode == 'slider'){

		

				wp_add_inline_script( 'ilist_infog15_slick_js', "
				(function($) {
					$(document).on('ready', function() {
						/*$('.qcld_ilist_multipage').slick({
							dots: true,
							infinite: true,
							cssEase: 'linear',
							speed: 300,
							slidesToShow: 1,
							swipe: true,
							swipeToSlide: true,
							draggable:false,
							centerMode: false,
							accessibility: true,
							initialSlide: $initialSlide,
						});*/
						$('.qcld_ilist_multipage').slick({
							dots: true,
				  			centerMode: true,
							centerPadding: '0px',
							slidesToShow: 3,
							infinite: false,
							//cssEase: 'linear',
							speed: 300,
							swipe: true,
							swipeToSlide: true,
							draggable:false,
							accessibility: true,
  							lazyLoad: 'progressive',
  							variableWidth: true,
  							slidesToShow: 1,
    						slidesToScroll: 1,
    						loop: true,
							initialSlide: $initialSlide,
						});


						
					    //$('.qcld-drag-drop-frame').css({'width': '".$shortcode_drag_drop_template_width[0]."px', 'display': 'block' });
						 $('.qcld-drag-drop-center-wrapper').css({'width': '".$shortcode_drag_drop_template_width[0]."px'});
						//$('.qcld-drag-drop-frame').css({'display': 'block'});
					   // $('.qcld-drag-drop-frame .slick-slide').css({'width': '".$shortcode_drag_drop_template_width[0]."px' });



						var pageWidth, pageHeight;

							var basePage = {
							  width: ".$shortcode_drag_drop_template_width[0].",
							  height: ".$shortcode_drag_drop_template_height[0].",
							  scale: 1,
							  scaleX: 1,
							  scaleY: 1
							};

							$(function(){
							  var page = $('.qcld-drag-drop-frame-slider');
							  
							  getPageSize();
							  scalePages(page, pageWidth, pageHeight);
							  

							  $(window).resize(function() {
								getPageSize();            
							    scalePages(page, pageWidth, pageHeight);
								});
							  

							function getPageSize() {
							  pageHeight = $('.qcld-drag-drop-frame-slider').height();
							  pageWidth = $('.qcld-drag-drop-frame-slider').width();
							}

							function scalePages(page, maxWidth, maxHeight) {            
							  var scaleX = 1, scaleY = 1;                      
							  scaleX = maxWidth / basePage.width;
							  scaleY = maxHeight / basePage.height;
							  basePage.scaleX = scaleX;
							  basePage.scaleY = scaleY;
							  basePage.scale = (scaleX > scaleY) ? scaleY : scaleX;

							  var newLeftPos = Math.abs(Math.floor(((basePage.width * basePage.scale) - maxWidth)/2));
							  var newTopPos = Math.abs(Math.floor(((basePage.height * basePage.scale) - maxHeight)/2));

							  if(basePage.width >= maxWidth){
							  page.attr('style', '-webkit-transform:scale(' + basePage.scale + ');-moz-transform:scale(' + basePage.scale + ');-ms-transform:scale(' + basePage.scale + ');-o-transform:scale(' + basePage.scale + ');transform:scale(' + basePage.scale + ');');

							  }else{
							  	
							  page.attr('style', '-webkit-transform:scale(1);-moz-transform:scale(1);-ms-transform:scale(1);-o-transform:scale(1);transform:scale(1)');
							  }

							}
							});


					  
				    });
				})(jQuery);" );

			}else{



				wp_add_inline_script( 'ilist_infog15_slick_js', "
				(function($) {
					$(document).on('ready', function() {
				

						var pageWidth, pageHeight;

							var basePage = {
							  width: ".$shortcode_drag_drop_template_width[0].",
							  height: ".$shortcode_drag_drop_template_height[0].",
							  scale: 1,
							  scaleX: 1,
							  scaleY: 1
							};

							$(function(){
							  var page = $('.qcld-drag-drop-frame-slider');
							  
							  getPageSize();
							  scalePages(page, pageWidth, pageHeight);
							  

							  $(window).resize(function() {
								getPageSize();            
							    scalePages(page, pageWidth, pageHeight);
								});
							  

							function getPageSize() {
							  pageHeight = $('.qcld-drag-drop-frame-slider').height();
							  pageWidth = $('.qcld-drag-drop-frame-slider').width();
							}

							function scalePages(page, maxWidth, maxHeight) {            
							  var scaleX = 1, scaleY = 1;                      
							  scaleX = maxWidth / basePage.width;
							  scaleY = maxHeight / basePage.height;
							  basePage.scaleX = scaleX;
							  basePage.scaleY = scaleY;
							  basePage.scale = (scaleX > scaleY) ? scaleY : scaleX;

							  var newLeftPos = Math.abs(Math.floor(((basePage.width * basePage.scale) - maxWidth)/2));
							  var newTopPos = Math.abs(Math.floor(((basePage.height * basePage.scale) - maxHeight)/2));

							  if(basePage.width >= maxWidth){
							  page.attr('style', '-webkit-transform:scale(' + basePage.scale + ')');

							  }else{
							  	
							  page.attr('style', '-webkit-transform:scale(1)');
							  }

							}
							});

					  
				    });
				})(jQuery);" );

			}

		}

	}else{
		echo "<div>
				<p>No iList was found.</p>
			</div>";
	}


    $content = ob_get_clean();
    return $content;
}