<?php 
wp_enqueue_style( 'ilist_preinfo7_stylesheet', OCOPD_TPL_URL1 . "/$template_code/css/style.css");
wp_enqueue_style( 'ilist_preinfo7_stylesheet_responsive', OCOPD_TPL_URL1 . "/$template_code/css/responsive.css");
wp_enqueue_style( 'ilist_img5_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_img5_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));
wp_enqueue_style( 'ilist_preinfo6_stylesheet_google_font2', "https://fonts.googleapis.com/css?family=Exo");

$custom_css ='';
$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	$itembg = 'style="background:'.$ilist_item_bgcolor[0].'"';
}

$hoderbg = ''; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow: hidden;"';
}


$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].'"';
}
//$subtitlecolor = ''; 
if(isset($ilist_subtitle_color[0]) && !empty($ilist_subtitle_color[0])){
	//$subtitlecolor = 'style="color:'.$ilist_subtitle_color[0].'"';
	$custom_css .= '.pinfo7subtitlecolor > p{
		color:'.$ilist_subtitle_color[0].'!important;
	}';
}
$bordercolor = ''; 
if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){

	$custom_css .= '.sl4borderbg{
		background:'.$ilist_border_color[0].';
	}';
}
//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){

	$custom_css .= '.pinfog7tfontsize{
		font-size:'.$ilist_title_font_size[0].'px!important;
	}';

}
//description font size//
if(isset($ilist_desc_font_size[0]) && !empty($ilist_desc_font_size[0])){

	$custom_css .= '.pinfog7dfontsize p{
		font-size:'.$ilist_desc_font_size[0].'px!important;
	}';
}

$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}

if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){

	$custom_css .= '.pinfo7hoveritem:hover{
		background:'.$ilist_hoverbg_color[0].'!important;
	}';
}
if(isset($ilist_hover_title_color[0])){

	$custom_css .= '.pinfo7hovertitlecolor:hover >h2{
		color:'.$ilist_hover_title_color[0].' !important;
	}';
}
if(isset($ilist_hover_desc_color[0])){

	$custom_css .= '.pinfo7hoverdesccolor:hover>span>p{
		color:'.$ilist_hover_desc_color[0].' !important;
	}';

}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	$custom_css .= '.pinfo7titlefont{font-family:'.$title_font.'!important;}';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		$custom_css .= '.pinfo7titlefont{font-family:'.$titlefamily.'!important;}';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			$custom_css .= '.pinfo7descfont>p{font-family:'.$desc_font.'!important;}';
	}else{
		$custom_css .= '.pinfo7descfont>p{font-family:'.$title_font.'!important;}';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		$custom_css .= '.pinfo7descfont>p{font-family:'.$titlefamily.';}';
	}
}

?>
<?php 
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
	
	$custom_css .= str_replace('\\', '', trim($customCss) );
	
	endif;

	wp_add_inline_style( 'ilist_preinfo7_stylesheet', $custom_css ); 

?>
<?php 
	$rtlSettings = ot_get_option( 'sl_enable_rtl' );
	$rtlClass = "";

	if( $rtlSettings == 'on' )
	{
	   $rtlClass = "ilist_sl4_direction";
	}
?>
<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="pinfo7titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>

<div id="qcld-list-holder" class="qcld-list-hoder pinfo7bgimage" <?php echo $hoderbg; ?>>
<div id="qcopd-list-<?php echo $listId; ?>" >
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>
	

	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="margin-bottom: 80px;height: 40px;" class="pinfo7titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	
	<div style="clear:both;margin-bottom:20px"></div>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
				echo '<img src="'.esc_attr($ilist_holder_bg_image[0]).'"  class="'.esc_attr($qcld_css_animation_global).'">';
				

			?>
		</div>
	<?php 
	}
	?>
	<div style="clear:both;margin-bottom:20px"></div>
		<ul>
	<?php foreach( $lists as $list_sl ) : ?>
	<?php 
		$cnt=1;
		if( $item_orderby == 'upvote' )
		{
			usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
		}

		if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
			$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
		}else{
		$qcld_css_animation_global='';

		}
	?>
	<?php foreach($list_sl as $list) : ?>

		<li id="qcld_sl_<?php echo get_the_ID()."_".$cnt ?>" class="list-style-17 listy-style-17-01 ilist_pinfog7_<?php echo $column ?> wow <?php echo @$list['qcld_css_animation']; ?>">
		   <div class="list-part-main-17">
				<div class="list-style-inner-17">
					<div class="top-bar"><img src="<?php echo OCOPD_TPL_URL1 . "/$template_code/images/top_bar.png"; ?>" alt="top image"/></div>
					<div class="ilist-effect-17 pinfo7hovertitlecolor pinfo7hoverdesccolor">
							<?php ilist_progress_bar(@$list['qcld_progress_bar']); ?>
							<?php 
								if(isset($list['qcld_text_title']) and !empty($list['qcld_text_title'])){
							?>
								<h2 <?php echo $titlecolor; ?> class="pinfo7titlefont pinfog7tfontsize" >
									<?php 
											echo ($list['qcld_text_title']);
									?>
								</h2>
							<?php
								}
							?>
				<?php if( $upvote == 'on' ) : ?>
				<div class="upvote-section" style="cursor:pointer">
					<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo trim($list['qcld_text_title']); ?>" class="upvote-btn-ilist upvote-on" style="color:#fff">
						<i class="fa fa-thumbs-up"></i>
					</span>
					<span class="upvote-count-ilist" style="color:#fff">
						<?php 
						  if( isset($list['sl_thumbs_up']) && (int)$list['sl_thumbs_up'] > 0 ){
							echo (int)$list['sl_thumbs_up'];
						  }
						?>
					</span>
				</div>
				<!-- /upvote section -->

				<?php endif; ?>	
							<?php
							if(isset($list['qcld_text_image']) and $list['qcld_text_image']!=''){
							 echo '<a class="example-image-link" href="'. (isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?$list['qcld_image_link']:$list['qcld_text_image']) .'" '.(isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"').'><img style="max-width:115px;margin:10px 0;" src="'. ($list['qcld_text_image']).'" alt="image-1" /></a>';
							}elseif(isset($list['qcld_text_image_fa']) and $list['qcld_text_image_fa']!=''){
							echo '<div style="font-size: 110px;margin-top: 7px;color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').'"><i class="fa '.$list['qcld_text_image_fa'].'"></i></div>';
						}else{
							echo '<div style="font-size: 110px;margin-top: 7px;color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').'"><i class="fa fa-check"></i></div>';
						}
							?>

						<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>">
						<?php 	} ?>
						<span class="pinfo7descfont pinfo7subtitlecolor pinfog7dfontsize">							
							<?php 
								if($list['qcld_text_desc']!=''){
									
									echo apply_filters('the_content',$list['qcld_text_desc']);
								}
							?>
						</span>

							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							</a>							
							<span class="ilist-fancybox-content" id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>" style="display:none;">	
							<?php echo apply_filters('the_content',$list['qcld_text_long_desc']); ?>
							</span>
							<?php 	} ?>
                        
                        
		    			<!-- Start Copy and Share Button -->
						<div class="qcilist-copy-share-section">
							<div class="copy-success-message">
								Copied
							</div>
							<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
								<div><?php echo $list['qcld_text_title']; ?></div>
								<div><?php echo $list['qcld_text_desc']; ?></div>
							</div>
							<?php
								$post_link_url = get_permalink();
								//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
								$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
								$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
								$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
							?>
							<div class="qcilist-copy-share-button">
								<i class="fa fa-share-alt" aria-hidden="true"></i>
							</div>
							<div class="qcilist-copy-share-button-lists-container">
								<div class="qcilist-copy-share-button-lists">
									<div class="qcilist-copy-share-single-button qcilist-copy-button">
										<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
									</div>
									<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
										<a  title="Share to Twitter" 
											href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
											target="_blank"
										>
										  <span>
											<i class="fa fa-twitter" aria-hidden="true"></i>
										  </span>
										</a>
									</div>
								</div>
							</div>
						</div>
						<!-- End Copy and Share Button -->
                        
					</div>
					<div class="bottom-bar"><img src="<?php echo OCOPD_TPL_URL1 . "/$template_code/images/bottom_bar.png"; ?>" alt="top image"/></div>
				</div>
		   </div>
		</li>


		
		
		
		
		<?php $cnt++; ?>
		<?php endforeach; ?>
		<?php endforeach; ?>
		
		</ul>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='bottom'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_global.'">';
				

			?>
		</div>
	<?php 
	}
	?>		
	</div>
	</div>
	<div class="qcld_list_clear_margin_bottom"></div>
</div>
<?php if($boxed_layout==1): ?> </div> <?php endif; ?>
<div class="clear"></div>


