<?php 
wp_enqueue_style( 'ilist_prestyle07_stylesheet', OCOPD_TPL_URL1 . "/compare-style-01/style.css");
wp_enqueue_style( 'ilist_infog15_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_infog15_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));

?>
<?php 

	$custom_css ='';
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
		
		$custom_css .= str_replace('\\', '', trim($customCss) );
	
	endif; 

	wp_add_inline_style( 'ilist_prestyle07_stylesheet', $custom_css ); 

?>




<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="sl2titlefont">
				  <span><?php echo $title; ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>

<div id="qcld-list-holder" class="qcld-list-hoder sl2bgimage" <?php echo $hoderbg; ?>>
	<div id="qcopd-list-<?php echo $listId; ?>" class="">
		<div class="qcopd-single-list">
		<?php 
		if($main_title==1 and $boxed_layout==0){
		?>
			<h2 style="text-align: center;position: relative;width: 100%;overflow: hidden;" class="sl2titlefont">
			<?php echo $title; ?>
			</h2>
		<?php } ?>	
			
		<?php 
			if($embed_option==1){do_action('qcsl_after_add_btn_compare', $shortcodeAtts);}
		?>
		

	<div style="clear:both;margin-bottom:20px"></div>

	<?php 
	$left_arr = array();
	$right_arr = array();
	foreach( $lists1 as $list_sl ) : ?>
		<?php foreach($list_sl as $list) : 
				$left_arr[] = $list;
			?>
		<?php endforeach; ?>
	<?php endforeach; ?>
	
	<?php foreach( $lists2 as $list_sl ) : ?>
		<?php foreach($list_sl as $list) : 
				$right_arr[] = $list;
			?>
		<?php endforeach; ?>
	<?php endforeach; ?>


<?php 
$bg1 = get_post_meta( $list_id1, 'ilist_holder_bg_image' );
$bg2 = get_post_meta( $list_id2, 'ilist_holder_bg_image' );
$chart1 = get_post_meta( $list_id1, 'ilist_chart' );
$chart2 = get_post_meta( $list_id2, 'ilist_chart' );
?>

<div class="ilist-top-chart-area">
	<div class="ilist-chart-part-1">
		<h2><?php echo get_the_title($list_id1); ?></h2>
	</div>
	<div class="ilist-chart-part-2">
		<h2><?php echo get_the_title($list_id2); ?></h2>
	</div>
</div>
<div style="clear:both"></div>

<div class="ilist-top-chart-area">
	<div class="ilist-chart-part-1">
	<?php if(!empty($chart1)): ?>
		<?php echo do_shortcode($chart1[0]);?>
	<?php endif; ?>
	</div>
	<div class="ilist-chart-part-2">
	<?php if(!empty($chart2)): ?>
		<?php echo do_shortcode($chart2[0]);?>
	<?php endif; ?>
	</div>
</div>
<div style="clear:both"></div>

<div class="ilist-top-image-area">
	<div class="ilist-image-part-1">
	<?php if(!empty($bg1)): ?>
		<img src="<?php echo $bg1[0]; ?>" />
	<?php endif; ?>
	</div>
	<div class="ilist-image-part-2">
	<?php if(!empty($bg2)): ?>
		<img src="<?php echo $bg2[0]; ?>" />
	<?php endif; ?>
	</div>
</div>
<div style="clear:both"></div>

	
<div class="comparedivelement">	
	<div class="left-items items-col">
	<?php 
	$clt=99;
	foreach($left_arr as $leftlist): ?>
			
		<div class="single-item infogp5hoveritem presi7itembgcolor" style="<?php echo (!empty($leftlist['qcld_entrybg_color'])?'background:'.$leftlist['qcld_entrybg_color']:''); ?>" id="qcld_sl_<?php echo $list_id1."_".$clt; ?>"> 
			<?php if(isset($leftlist['qcld_text_image'])&&$leftlist['qcld_text_image']!=''){
				echo '<a href="'. ($leftlist['qcld_text_image']) .'" data-lightbox="example-'. ($clt).'"><div class="icon-box" style="float: right;position: relative;z-index: 99;"><img class="ilist_infographic_08" src="'. $leftlist['qcld_text_image'].'" alt="image-1" /></div></a>';
			}
			elseif(isset($leftlist['qcld_text_image_fa']) and $leftlist['qcld_text_image_fa']!=''){
					echo '<div class="infogp_free_8"><i class="fa '.$leftlist['qcld_text_image_fa'].'"></i></div>';
			}else{
				echo '<div class="infogp_free_8"><i class="fa fa-check"></i></div>';
			}
			?>
			<?php ilist_progress_bar($leftlist['qcld_progress_bar']); ?>
			<?php 
				if($leftlist['qcld_text_title']!=''){
			?>
				<h4 class="sl2titlefont sl2tfontsize infogp4hovertextcolor">
				<?php if( $upvote == 'on' ) : ?>

				<!-- upvote section -->
				<div class="upvote-section" style="cursor:pointer;display: inline-block;margin-right: 10px;">
					<span data-post-id="<?php echo $list_id1; ?>" data-item-title="<?php echo (trim($leftlist['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
						<i class="fa fa-thumbs-up"></i>
					</span>
					<span class="upvote-count-ilist">
						<?php 
						  if( isset($leftlist['sl_thumbs_up']) && (int)$leftlist['sl_thumbs_up'] > 0 ){
							echo (int)$leftlist['sl_thumbs_up'];
						  }
						?>
					</span>
				</div>
				<!-- /upvote section -->

				<?php endif; ?>					
					<?php 
						
						echo ($leftlist['qcld_text_title']);
					?>
				
				</h4>
			<?php
				}
			?>
				
			<?php 
				if($leftlist['qcld_text_desc']!=''){
			?>
				<span class="sl2descfont infog5dfontsize infogp5hovertextcolor desinfopg8fontsize">
					<?php 
						echo apply_filters('the_content',$leftlist['qcld_text_desc']);
						
					?>
				</span>						
			<?php
				}
			?>			
			
		</div>

	<?php 
	$clt--;
	endforeach; 
	$ctn = 1;
	?>
	</div>
	
	
	<?php 
	if(isset($mainimage) and $mainimage!=''){
	?>
		<div class="center-image items-col"><img src="<?php echo $mainimage; ?>"> </div>
	<?php
	}
	?>
	



		
	

	<div class="right-items items-col" >
	<?php foreach($right_arr as $rightlist): ?>
	
		<div class="single-item infogp5hoveritem presi7itembgcolor" style="<?php echo ($rightlist['qcld_entrybg_color']!=''?'background:'.$rightlist['qcld_entrybg_color']:''); ?>" id="qcld_sl_<?php echo $list_id2."_".$ctn; ?>"> 
			<?php if(isset($rightlist['qcld_text_image'])&&$rightlist['qcld_text_image']!=''){
				echo '<a href="'. ($rightlist['qcld_text_image']) .'" data-lightbox="example-'. ($ctn).'"><div class="icon-box"><img class="ilist_infographic_08" src="'. $rightlist['qcld_text_image'].'" alt="image-1" /></div></a>';
			}
			elseif(isset($rightlist['qcld_text_image_fa']) and $rightlist['qcld_text_image_fa']!=''){
					echo '<div class="infogp_free_8"><i class="fa '.$rightlist['qcld_text_image_fa'].'"></i></div>';
			}else{
				echo '<div class="infogp_free_8"><i class="fa fa-check"></i></div>';
			}
			?>
			<?php ilist_progress_bar($rightlist['qcld_progress_bar']); ?>
			<?php 
				if($rightlist['qcld_text_title']!=''){
			?>
				<h4 class="sl2titlefont sl2tfontsize infogp4hovertextcolor">
					<?php 
						
						echo ($rightlist['qcld_text_title']);
					?>
				<?php if( $upvote == 'on' ) : ?>

				<!-- upvote section -->
				<div class="upvote-section" style="cursor:pointer;display: inline-block;margin-left: 10px;">
					<span data-post-id="<?php echo $list_id2; ?>" data-item-title="<?php echo (trim($rightlist['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
						<i class="fa fa-thumbs-up"></i>
					</span>
					<span class="upvote-count-ilist">
						<?php 
						  if( isset($rightlist['sl_thumbs_up']) && (int)$rightlist['sl_thumbs_up'] > 0 ){
							echo (int)$rightlist['sl_thumbs_up'];
						  }
						?>
					</span>
				</div>
				<!-- /upvote section -->

				<?php endif; ?>						
				</h4>
			
			<?php
				}
			?>
				
			<?php 
				if($rightlist['qcld_text_desc']!=''){
			?>
				<span class="sl2descfont infog5dfontsize infogp5hovertextcolor desinfopg8fontsize">
					<?php 
						echo apply_filters('the_content',$rightlist['qcld_text_desc']);
						
					?>
				</span>						
			<?php
				}
			?>			
			
		</div>

	<?php 
	$ctn++;
	endforeach; ?>
	</div>
	</div>

	</div>
	</div>
</div>
<?php 
if($mainimage==''){

	$custom_css = '.items-col {
	    width: 50% !important;
	   
	}';

	wp_add_inline_style( 'ilist_prestyle07_stylesheet', $custom_css ); 
}
?>
<?php if($boxed_layout==1): ?> </div> <?php endif; ?>

