<?php 
wp_enqueue_style( 'ilist_prestyle07_stylesheet', OCOPD_TPL_URL1 . "/compare-style-02/style.css");
wp_enqueue_style( 'ilist_infog15_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_infog15_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));



	$custom_css ='';
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
		
		$custom_css .= str_replace('\\', '', trim($customCss) );
	
	endif; 

	wp_add_inline_style( 'ilist_prestyle07_stylesheet', $custom_css ); 

?>

<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="sl2titlefont">
				  <span><?php echo $title; ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>

<div id="qcld-list-holder" class="qcld-list-hoder sl2bgimage" <?php echo $hoderbg; ?>>
	<div id="qcopd-list-<?php echo $listId; ?>" class="">
		<div class="qcopd-single-list">
		<?php 
		if($main_title==1 and $boxed_layout==0){
		?>
			<h2 style="text-align: center;position: relative;width: 100%;overflow: hidden;" class="sl2titlefont">
			<?php echo $title; ?>
			</h2>
		<?php } ?>	
			
		<?php 
			if($embed_option==1){do_action('qcsl_after_add_btn_compare', $shortcodeAtts);}
		?>
		

	<div style="clear:both;margin-bottom:20px"></div>

	<?php 
	$left_arr = array();
	$right_arr = array();
	foreach( $lists1 as $list_sl ) : ?>
		<?php foreach($list_sl as $list) : 
				$left_arr[] = $list;
			?>
		<?php endforeach; ?>
	<?php endforeach; ?>
	
	<?php foreach( $lists2 as $list_sl ) : ?>
		<?php foreach($list_sl as $list) : 
				$right_arr[] = $list;
			?>
		<?php endforeach; ?>
	<?php endforeach; ?>

<?php 
$bg1 = get_post_meta( $list_id1, 'ilist_holder_bg_image' );
$bg2 = get_post_meta( $list_id2, 'ilist_holder_bg_image' );
$chart1 = get_post_meta( $list_id1, 'ilist_chart' );
$chart2 = get_post_meta( $list_id2, 'ilist_chart' );
?>

<div class="ilist-top-chart-area">
	<div class="ilist-chart-part-1">
		<h2><?php echo get_the_title($list_id1); ?></h2>
	</div>
	<div class="ilist-chart-part-2">
		<h2><?php echo get_the_title($list_id2); ?></h2>
	</div>
</div>
<div style="clear:both"></div>

<div class="ilist-top-chart-area">
	<div class="ilist-chart-part-1">
	<?php if(!empty($chart1)): ?>
		<?php echo do_shortcode($chart1[0]);?>
	<?php endif; ?>
	</div>
	<div class="ilist-chart-part-2">
	<?php if(!empty($chart2)): ?>
		<?php echo do_shortcode($chart2[0]);?>
	<?php endif; ?>
	</div>
</div>
<div style="clear:both"></div>

<div class="ilist-top-image-area">
	<div class="ilist-image-part-1">
	<?php if(!empty($bg1)): ?>
		<img src="<?php echo $bg1[0]; ?>" />
	<?php endif; ?>
	</div>
	<div class="ilist-image-part-2">
	<?php if(!empty($bg2)): ?>
		<img src="<?php echo $bg2[0]; ?>" />
	<?php endif; ?>
	</div>
</div>



  	<ul class="ilist-style-40 clearfix-row">
		<?php for($i=0;$i<sizeof($left_arr);$i++){ ?>
		
			<?php if(!empty($left_arr[$i])): ?>
		
			<li class="ilist-column-01" id="qcld_sl_<?php echo $list_id1."_".$i ?>">
				<?php echo ilist_progress_bar($left_arr[$i]['qcld_progress_bar'],'compare-left-style'); ?>
				<div style="clear:both"></div>
				<div class="ilist-main-content">
					<span class="ilist-compare-content">
					<span class="ilist-title-control" style="<?php echo ($left_arr[$i]['qcld_entrybg_color']!=''?'background:'.$left_arr[$i]['qcld_entrybg_color']:''); ?>"><h3>
							<?php
								
								echo ($left_arr[$i]['qcld_text_title']);
							?>
						</h3></span>
					<span class="iList-title-images" style="<?php echo ($left_arr[$i]['qcld_entrybg_color']!=''?'background:'.$left_arr[$i]['qcld_entrybg_color']:''); ?>">
					
					<?php if(isset($left_arr[$i]['qcld_text_image']) && $left_arr[$i]['qcld_text_image']!=''){
						echo '<a href="'. ($left_arr[$i]['qcld_text_image']) .'" data-lightbox="example-'. ($i.$list_id1).'"><div class="icon-box" style="float: right;position: relative;z-index: 99;"><img class="ilist_infographic_08" src="'. $left_arr[$i]['qcld_text_image'].'" alt="image-1" /></div></a>';
					}
					elseif(isset($left_arr[$i]['qcld_text_image_fa']) and $left_arr[$i]['qcld_text_image_fa']!=''){
							echo '<i class="fa '.$left_arr[$i]['qcld_text_image_fa'].'"></i>';
					}else{
						echo '<i class="fa fa-check"></i>';
					}
					?>
					
					</span>
					<span style="<?php echo ($left_arr[$i]['qcld_entrybg_color']!=''?'background:'.$left_arr[$i]['qcld_entrybg_color']:''); ?>">
						<div class="upvote-section">
							<span style="<?php echo ($left_arr[$i]['qcld_entrybg_color']!=''?'background:'.$left_arr[$i]['qcld_entrybg_color']:''); ?>" data-post-id="<?php echo $list_id1; ?>" data-item-title="<?php echo (trim($left_arr[$i]['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
								<i class="fa fa-thumbs-up"></i>
							</span>
							<span style="<?php echo ($left_arr[$i]['qcld_entrybg_color']!=''?'background:'.$left_arr[$i]['qcld_entrybg_color']:''); ?>" class="upvote-count-ilist">
								<?php 
								  if( isset($left_arr[$i]['sl_thumbs_up']) && (int)$left_arr[$i]['sl_thumbs_up'] > 0 ){
									echo (int)$left_arr[$i]['sl_thumbs_up'];
								  }
								?>
							</span>
						</div>
					</span>
					</span>
				</div>
					
				<div class="ilist-details">
					<?php 
						echo apply_filters('the_content',$left_arr[$i]['qcld_text_desc']);
							
					?>
				</div>
					
			</li><!-- /ilist-column-2 -->
			<?php endif; ?>
			
			<?php if(!empty($right_arr[$i])): ?>
			
			<li class="ilist-column-01" id="qcld_sl_<?php echo $list_id2."_".$i ?>">
				<?PHP echo ilist_progress_bar($right_arr[$i]['qcld_progress_bar']); ?>
				<div class="ilist-main-content">
					<span class="ilist-compare-content">
					<span class="ilist-title-control" style="<?php echo ($right_arr[$i]['qcld_entrybg_color']!=''?'background:'.$right_arr[$i]['qcld_entrybg_color']:''); ?>"><h3>
							<?php
								
								echo ($right_arr[$i]['qcld_text_title']);
							?>
						</h3></span>
					<span class="iList-title-images" style="<?php echo ($right_arr[$i]['qcld_entrybg_color']!=''?'background:'.$right_arr[$i]['qcld_entrybg_color']:''); ?>">
					
					<?php if(isset($right_arr[$i]['qcld_text_image']) && $right_arr[$i]['qcld_text_image']!=''){
						echo '<a href="'. ($right_arr[$i]['qcld_text_image']) .'" data-lightbox="example-'. ($i.$list_id2).'"><div class="icon-box" style="float: right;position: relative;z-index: 99;"><img class="ilist_infographic_08" src="'. $right_arr[$i]['qcld_text_image'].'" alt="image-1" /></div></a>';
					}
					elseif(isset($right_arr[$i]['qcld_text_image_fa']) and $right_arr[$i]['qcld_text_image_fa']!=''){
							echo '<i class="fa '.$right_arr[$i]['qcld_text_image_fa'].'"></i>';
					}else{
						echo '<i class="fa fa-check"></i>';
					}
					?>
					
					</span>
					<span style="<?php echo ($right_arr[$i]['qcld_entrybg_color']!=''?'background:'.$right_arr[$i]['qcld_entrybg_color']:''); ?>">
						<div class="upvote-section">
							<span style="<?php echo ($right_arr[$i]['qcld_entrybg_color']!=''?'background:'.$right_arr[$i]['qcld_entrybg_color']:''); ?>" data-post-id="<?php echo $list_id2; ?>" data-item-title="<?php echo (trim($right_arr[$i]['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
								<i class="fa fa-thumbs-up"></i>
							</span>
							<span style="<?php echo ($right_arr[$i]['qcld_entrybg_color']!=''?'background:'.$right_arr[$i]['qcld_entrybg_color']:''); ?>" class="upvote-count-ilist">
								<?php 
								  if( isset($right_arr[$i]['sl_thumbs_up']) && (int)$right_arr[$i]['sl_thumbs_up'] > 0 ){
									echo (int)$right_arr[$i]['sl_thumbs_up'];
								  }
								?>
							</span>
						</div>
					</span>
					</span>
				</div>
					
				<div class="ilist-details">
					<?php 
						echo apply_filters('the_content',$right_arr[$i]['qcld_text_desc']);
							
					?>
				</div>
					
			</li><!-- /ilist-column-2 -->
			<?php endif; ?>
			
		<?php } ?>
	</ul>



	</div>
	</div>
</div>

<?php if($boxed_layout==1): ?> </div> <?php endif; 



	$custom_css = '.qcld-list-hoder{overflow:unset !important}
					.ilist-progress-bar-container{margin-bottom: 0px;}
					.compare-left-style{direction:rtl;float: right;}
					.compare-left-style p{right: 0px;}
					.compare-left-style p:after{left: 12px;}
					@media (max-width: 767px) {
						.compare-left-style{direction:unset}
						.compare-left-style p{left: 12px;}
						.compare-left-style p:after{right: 0px;left: unset;}
					}';

	wp_add_inline_style( 'ilist_prestyle07_stylesheet', $custom_css ); 



	// ilist_infog15_light

	$custom_js ="jQuery(document).ready(function($){
					$('.ilist-column-01').each(function(){
						var progress = $(this);
						progress.find('.ilist-progress-bar-container').width(progress.find('.ilist-compare-content').width());
					})
				})";

		wp_add_inline_script( 'ilist_infog15_light', $custom_js );
