<?php 
wp_enqueue_style( 'ilist_prestyle21_stylesheet', OCOPD_TPL_URL1 . "/$template_code/css/style.css");


wp_enqueue_style( 'ilist_infog15_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_style( 'ilist_infog15_slick_css', QCOPD_ASSETS_URL1 . "/slick/slick.css");
wp_enqueue_style( 'ilist_infog15_slick_theme_css', QCOPD_ASSETS_URL1 . "/slick/slick-theme.css");
wp_enqueue_script( 'ilist_infog15_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));
wp_enqueue_script( 'ilist_infog15_slick_js', QCOPD_ASSETS_URL1 . "/slick/slick.js", array('jquery'));

if(isset($_GET['multipage_list']) && $_GET['multipage_list']){
	$initialSlide = $_GET['multipage_list'];
}else{
	$initialSlide=0;
}

wp_add_inline_script( 'ilist_infog15_slick_js', "
(function($) {
	$(document).on('ready', function() {
		$('.qcld_ilist_multipage').slick({
			dots: false,
			infinite: true,
			cssEase: 'linear',
			speed: 300,
			slidesToShow: 1,
			swipe: false,
			swipeToSlide: false,
			draggable:false,
			centerMode: false,
			accessibility: true,
			initialSlide: $initialSlide,
		});
		
	  
    });
})(jQuery);" );



?>
<?php 
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
?>
	<style>
		<?php echo trim($customCss); ?>
	</style>
	
<?php endif; ?>
<?php 

if($column>4){
	$column = 4;
}
$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	echo '<style type="text/css">

	.presi20itembgcolor {
		background:'.$ilist_item_bgcolor[0].' !important;
	}
	.presi33itembordercolor {
		border-color:'.$ilist_item_bgcolor[0].' !important;
	}
	</style>';	
}
if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){
echo '<style type="text/css">
.prestl20bghovercolor:hover{
	background:'.$ilist_hoverbg_color[0].'!important;
}
.prestl20bghovercolor:hover .presi33itembordercolor{
	border-color:'.$ilist_hoverbg_color[0].'!important;
	border-bottom-color: transparent !important;
}

</style>';
}
$hoderbg = 'style="overflow:hidden"'; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow:hidden"';
}

$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].'"';
}

if(isset($ilist_subtitle_color[0]) && !empty($ilist_subtitle_color[0])){
	
	echo '<style type="text/css">
.prestl20subtitle>p{
	color:'.$ilist_subtitle_color[0].'!important;
}
</style>';
}
$bordercolor = ''; 
if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){
	$bordercolor = 'style="background:'.$ilist_border_color[0].'"';
}
$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}


if(isset($ilist_hover_title_color[0]) && $ilist_hover_title_color[0]!=''){
echo '<style type="text/css">
.prestl20thovercolor:hover {
	color:'.$ilist_hover_title_color[0].' !important;
}

</style>';
}
//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){
	echo '<style type="text/css">

		.sl20tfontsize{
			font-size:'.$ilist_title_font_size[0].'px!important;
		}
		</style>';
}
//description font size//
if(isset($ilist_desc_font_size[0]) && !empty($ilist_desc_font_size[0])){
	echo '<style type="text/css">

		.infog20dfontsize p{
			font-size:'.$ilist_desc_font_size[0].'px!important;
		}
		</style>';
}

if(isset($ilist_hover_desc_color[0]) && $ilist_hover_desc_color[0]!=''){
echo '<style type="text/css">
.prestl20dhovercolor:hover >p {
	color:'.$ilist_hover_desc_color[0].' !important;
}

</style>';
}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	echo '<style type="text/css">.sl26titlefont{font-family:'.$title_font.'!important;}</style>';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl26titlefont{font-family:'.$titlefamily.'!important;}</style>';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			echo '<style type="text/css">.sl26descfont p{font-family:'.$desc_font.'!important;}</style>';
	}else{
		echo '<style type="text/css">.sl26descfont p{font-family:'.$title_font.'!important;}</style>';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl26descfont p{font-family:'.$titlefamily.';}</style>';
	}
}
?>

<?php 
	$rtlSettings = ot_get_option( 'sl_enable_rtl' );
	$rtlClass = "";

	if( $rtlSettings == 'on' )
	{
	   $rtlClass = "ilist_direction";
	}
?>

<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="sl26titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>
<div id="qcld-list-holder" class="qcld-list-hoder sl20bgimage" <?php echo $hoderbg; ?>>
	<div id="qcopd-list-<?php echo $listId; ?>" class="">
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>		
	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="height: 40px;" class="sl26titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	<div style="clear:both;margin-bottom:20px"></div>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_globals='';
				}
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_globals.'">';
				
			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	
	<div class="ilist-wrapper-x33">
		
		<div class="ilist-holder-x33">
		<div class="content-box">	

			<?php foreach( $lists as $list_sl ) : ?>
		<?php 
			$cnt=1;
			if( $item_orderby == 'upvote' )
			{
				usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
			}
		?>
			
		
		  	<div class="qcld_ilist_multipage" data-sizes="50vw" >
			<?php foreach($list_sl as $list) : ?>

					<?php 
						$top_slick_arrow = '';
		    			if(isset($list['qcld_multipage_ads_desc'])&&$list['qcld_multipage_ads_desc']!=''){
							if(isset($list['qcld_multipage_ads_position'])&& $list['qcld_multipage_ads_position']=='top'){
								$top_slick_arrow = 'qcld_slick_arrow';
							}
						}
					?>

			    <div class="<?php echo $top_slick_arrow; ?>" style="<?php echo ($list['qcld_entrybg_color']!=''?'background:'.$list['qcld_entrybg_color'].'!important;padding: 5px;':'padding: 5px;'); ?>">
			    	
		    		<?php 
		    			if(isset($list['qcld_multipage_ads_desc'])&&$list['qcld_multipage_ads_desc']!=''){
							if(isset($list['qcld_multipage_ads_position'])&& $list['qcld_multipage_ads_position']=='top'){
								echo '<div class="multipage_ads_content_box_top">'. $list['qcld_multipage_ads_desc'].'</div>';
							}
						}
					?>

		    		<?php 
		    			if(isset($list['qcld_text_image'])&&$list['qcld_text_image']!=''){
							echo '<div class="multipage_img_box">';
							echo '<img class="ilist_infographic_05" src="'. $list['qcld_text_image'].'" alt="'. $list['qcld_text_title'].'" />';
							if($list['qcld_text_desc']!=''){
								echo '<div class="multipage_content_box"><div class="multipage_content_p">'. $list['qcld_text_desc'].'</div></div>';
							}
							echo '</div>';
						}
					?>
					<?php ilist_progress_bar(@$list['qcld_progress_bar']); ?>
				  	<h2 <?php echo $titlecolor; ?> class="ilist-x33-item-title prestl20tfont prestl20tfontsize prestl20thovercolor sl26titlefont"><?php echo ($list['qcld_text_title']);?></h2>
				  	<p>
				  	<?php 
						if(!empty($list['qcld_text_long_desc'])){
					?>
						<span class="sl20descfont prestl20subtitle infog20dfontsize prestl20dhovercolor item-subtitle-x3 sl26descfont">
							<?php 
								echo apply_filters('the_content',$list['qcld_text_long_desc']);
								
							?>
						</span>						
					<?php
						}
					?>	
				  	</p>


		    		<?php 
		    			if(isset($list['qcld_multipage_ads_desc'])&&$list['qcld_multipage_ads_desc']!=''){
							if(isset($list['qcld_multipage_ads_position'])&& $list['qcld_multipage_ads_position']=='bottom'){
								echo '<div class="multipage_ads_content_box_bottom">'. $list['qcld_multipage_ads_desc'].'</div>';
							}
						}
					?>

			    </div>
			   

			<?php $cnt++; ?>
			<?php endforeach; ?>
		<?php endforeach; ?>

  			</div>
		
		
		
		</div>
		</div>
	</div>
	
	
	
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='bottom'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_globals='';
				}
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_globals.'">';
				
			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	</div>
	</div>
</div>

<?php if($boxed_layout==1): ?> </div> <?php endif; ?>

