<?php 
wp_enqueue_style( 'ilist_preinfolist1_stylesheet', OCOPD_TPL_URL1 . "/$template_code/css/style-18.css");
wp_enqueue_style( 'ilist_img5_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_style( 'ilist_img5_fancybox_css', QCOPD_ASSETS_URL1 . "/fancybox/jquery.fancybox.css");
wp_enqueue_script( 'ilist_img5_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));
wp_enqueue_script( 'ilist_img5_fancybox', QCOPD_ASSETS_URL1 . "/fancybox/jquery.fancybox.pack.js", array('jquery'));
wp_enqueue_style( 'ilist_preinfolist1_stylesheet_google_font2', "https://fonts.googleapis.com/css?family=Open+Sans");

?>

<?php
$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	$itembg = 'style="background:'.$ilist_item_bgcolor[0].'"';
}
$hoderbg = ''; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow: hidden;"';
}
/*
if(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0])){
	echo '<style type="text/css">

	.pinfo1bgimage {
		background-image:url('.$ilist_holder_bg_image[0].') !important;
		background-repeat: no-repeat !important;
		background-size: 100% 100% !important;
	}
	</style>';
}
*/
$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].';"';
}
//$subtitlecolor = ''; 
if(isset($ilist_subtitle_color[0]) && !empty($ilist_subtitle_color[0])){
	//$subtitlecolor = 'style="color:'.$ilist_subtitle_color[0].'"';
	echo '<style type="text/css">

	.pinfol1subtitlecolor > p{
		color:'.$ilist_subtitle_color[0].'!important;
	}
	</style>';
}
$bordercolor = ''; 
if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){
	echo '<style type="text/css">

		.sl4borderbg{
			background:'.$ilist_border_color[0].';
		}
		</style>';
}
//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){
	echo '<style type="text/css">

		.pinfo1tfontsize{
			font-size:'.$ilist_title_font_size[0].'px!important;
		}
		</style>';
}
//description font size//
if(isset($ilist_desc_font_size[0]) && !empty($ilist_desc_font_size[0])){
	echo '<style type="text/css">

		.pinfo1dfontsize p{
			font-size:'.$ilist_desc_font_size[0].'px!important;
		}
		</style>';
}

$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}
if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){
echo '<style type="text/css">
.pinfol1hoveritem:hover{
	background:'.$ilist_hoverbg_color[0].'!important;
}
</style>';
}
if(isset($ilist_hover_title_color[0])){
echo '<style type="text/css">
.pinfol1hovertitlecolor:hover >h2{
	color:'.$ilist_hover_title_color[0].' !important;
}
</style>';
}
if(isset($ilist_hover_desc_color[0])){
echo '<style type="text/css">
.pinfol1hoverdesccolor:hover>span>p{
	color:'.$ilist_hover_desc_color[0].' !important;
}
</style>';
}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	echo '<style type="text/css">.pinfol1titlefont{font-family:'.$title_font.'!important;}</style>';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.pinfol1titlefont{font-family:'.$titlefamily.'!important;}</style>';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			echo '<style type="text/css">.pinfol1descfont>p{font-family:'.$desc_font.'!important;}</style>';
	}else{
		echo '<style type="text/css">.pinfol1descfont>p{font-family:'.$title_font.'!important;}</style>';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.pinfol1descfont>p{font-family:'.$titlefamily.';}</style>';
	}
}

?>
<?php 
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
?>
	<style>
		<?php echo trim($customCss); ?>
	</style>
	
<?php endif; ?>
<?php 
	$rtlSettings = ot_get_option( 'sl_enable_rtl' );
	$rtlClass = "";

	if( $rtlSettings == 'on' )
	{
	   $rtlClass = "ilist_sl4_direction";
	}
?>

<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="pinfol1titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>

<div id="qcld-list-holder" class="qcld-list-hoder pinfo1bgimage" <?php echo $hoderbg; ?>>
<div id="qcopd-list-<?php echo $listId; ?>" class=>
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>
	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="height: 40px;" class="pinfol1titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	<div style="clear:both;margin-bottom:20px"></div>
		<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_global.'">';
				

			?>
		</div>
		<div class="qcld_list_clear_margin_bottom"></div>
	<?php 
	}
	?>
	<ul class="listing-eighteen">
	<?php foreach( $lists as $list_sl ) : ?>
	<?php 
		$cnt=1;
		if( $item_orderby == 'upvote' )
		{
			usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
		}
	?>
	<?php foreach($list_sl as $list) : ?>
		<li id="qcld_sl_<?php echo get_the_ID()."_".$cnt ?>" class="list-style-eighteen list-style-eighteen-01 ilist_pinfol1_<?php echo $column ?> wow <?php echo @$list['qcld_css_animation']; ?>">
			<div class="list-eighteen-inner-part">
				<div class="list-eighteen-sl">
					<h2 <?php echo $itemnumbercolor; ?>><?php echo ($cnt>9?$cnt:'0'.$cnt); ?></h2>
                    
                    
                    
                    
    <!-- Start Copy and Share Button  -->
				<div class="qcilist-copy-share-section">
					<div class="copy-success-message">
						Copied
					</div>
					<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
						<div><?php echo $list['qcld_text_title']; ?></div>
						<div><?php echo $list['qcld_text_desc']; ?></div>
					</div>
					<?php
						$post_link_url = get_permalink();
						//$post_link_url = 'https://quantumcloud.com';
						//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
						$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
						$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
						$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
					?>
					<div class="qcilist-copy-share-button">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
					</div>
					<div class="qcilist-copy-share-button-lists-container">
						<div class="qcilist-copy-share-button-lists">
							<div class="qcilist-copy-share-single-button qcilist-copy-button">
								<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
							</div>
							<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
								<a  title="Share to Twitter" 
									href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
									target="_blank"
								>
								  <span>
									<i class="fa fa-twitter" aria-hidden="true"></i>
								  </span>
								</a>
							</div>
						</div>
					</div>
				</div>
				<!-- End Copy and Share Button  -->                     
                    
                    
                    
                    
                    
				</div>
				<div class="list-eighteen-upvote" >
					<?php if( $upvote == 'on' ) : ?>
					<div class="upvote-section" style="cursor:pointer">
						<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo trim($list['qcld_text_title']); ?>" class="upvote-btn-ilist upvote-on" style="color:#fff">
							<i class="fa fa-thumbs-up"></i>
						</span>
						<span class="upvote-count-ilist" style="color:#fff">
							<?php 
							  if( isset($list['sl_thumbs_up']) && (int)$list['sl_thumbs_up'] > 0 ){
								echo (int)$list['sl_thumbs_up'];
							  }
							?>
						</span>
					</div>
					<!-- /upvote section -->

					<?php endif; ?>
				</div>
				<?php if(isset($list['qcld_text_image'])&& $list['qcld_text_image']!=''){ ?>
				
					<?php 
						
							echo '<div class="list-eighteen-avatar"><a style="align-self: center;" class="example-image-link" href="'. (isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?$list['qcld_image_link']:$list['qcld_text_image']) .'" '.(isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"').'><img class="ilist_info1_example-image" src="'. ($list['qcld_text_image']).'" alt="image-1" /></a></div>';
						
					?>
				
				<?php }elseif(isset($list['qcld_text_image_fa']) and $list['qcld_text_image_fa']!=''){
							echo '<div class="list-eighteen-avatar"><div style="font-size: 47px;color: '.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').';margin-top: 7px;"><i class="fa '.$list['qcld_text_image_fa'].'"></i></div></div>';
						}else{
							echo '<div class="list-eighteen-avatar"><div style="font-size: 47px;color: '.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').';margin-top: 7px;"><i class="fa fa-check"></i></div></div>';
						} 
						?>
				<div class="list-eighteen-content pinfol1hoverdesccolor pinfol1hovertitlecolor">
					<?php ilist_progress_bar(@$list['qcld_progress_bar']); ?>

							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>">
							<?php 	} ?>
					<?php 
							if(isset($list['qcld_text_title']) and !empty($list['qcld_text_title'])){
						?>
							<h2 <?php echo $titlecolor; ?> class="pinfol1titlefont pinfo1tfontsize" >
								<?php 
										echo $list['qcld_text_title'];
								?>
							</h2>
						<?php
							}
						?>

						
						<span class="pinfol1descfont pinfol1subtitlecolor pinfo1dfontsize">							
							<?php 
								if($list['qcld_text_desc']!=''){
									
									echo apply_filters('the_content',$list['qcld_text_desc']);
								}
							?>
						</span>

						<?php if(!empty($list['qcld_text_long_desc'])){ ?>
						</a>							
						<span id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>" style="display:none;">	
						<span class="ilist-fancybox-content">	
						<?php echo apply_filters('the_content',$list['qcld_text_long_desc']); ?>
						</span>
						</span>
						<?php 	} ?>
				</div>

			</div>
		</li>

		<?php $cnt++; ?>
		<?php endforeach; ?>
		<?php endforeach; ?>
	</ul>
		<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='bottom'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_global.'">';
				

			?>
		</div>
		<div class="qcld_list_clear_margin_bottom"></div>
	<?php 
	}
	?>
	</div>
	</div>
</div>
<?php if($boxed_layout==1): ?> </div> <?php endif; ?>
<div style="clear:both"></div>

