<?php
wp_enqueue_style( 'ilist_info1_stylesheet', OCOPD_TPL_URL1 . "/$template_code/css/style.css");
wp_enqueue_style( 'ilist_img5_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_img5_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));
wp_enqueue_style( 'ilist_info1_google_font', "https://fonts.googleapis.com/css?family=Oswald");

if($column>8){
	$column = 8;
}

$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	$itembg = 'style="background:'.$ilist_item_bgcolor[0].'"';
}
$hoderbg = ''; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow: hidden;"';
}
/*
if(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0])){
	echo '<style type="text/css">

	.info1bgimage {
		background-image:url('.$ilist_holder_bg_image[0].') !important;
		background-repeat: no-repeat !important;
		background-position: center center !important;
	}
	</style>';
}
*/

$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].'"';
}
//$subtitlecolor = ''; 
if(isset($ilist_subtitle_color[0]) && !empty($ilist_subtitle_color[0])){
	//$subtitlecolor = 'style="color:'.$ilist_subtitle_color[0].'"';
	echo '<style type="text/css">

	.infol1subtitlecolor > p{
		color:'.$ilist_subtitle_color[0].'!important;
	}
	</style>';
}
$bordercolor = ''; 
if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){
	echo '<style type="text/css">

		.sl4borderbg{
			background:'.$ilist_border_color[0].';
		}
		</style>';
}
//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){
	echo '<style type="text/css">

		.info1tfontsize{
			font-size:'.$ilist_title_font_size[0].'px!important;
		}
		</style>';
}
//description font size//
if(isset($ilist_desc_font_size[0]) && !empty($ilist_desc_font_size[0])){
	echo '<style type="text/css">

		.infog1dfontsize{
			font-size:'.$ilist_desc_font_size[0].'px!important;
		}
		</style>';
}

$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}
if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){
echo '<style type="text/css">
.pinfol1hoveritem:hover{
	background:'.$ilist_hoverbg_color[0].'!important;
}
</style>';
}
if(isset($ilist_hover_title_color[0])){
echo '<style type="text/css">
.infol1hovertitlecolor:hover{
	color:'.$ilist_hover_title_color[0].' !important;
}
</style>';
}
if(isset($ilist_hover_desc_color[0])){
echo '<style type="text/css">
.infol1hoverdesccolor:hover p{
	color:'.$ilist_hover_desc_color[0].' !important;
}
</style>';
}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	echo '<style type="text/css">.infol1titlefont{font-family:'.$title_font.'!important;}</style>';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.infol1titlefont{font-family:'.$titlefamily.'!important;}</style>';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			echo '<style type="text/css">.infol1descfont>p{font-family:'.$desc_font.'!important;}</style>';
	}else{
		echo '<style type="text/css">.infol1descfont>p{font-family:'.$title_font.'!important;}</style>';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.infol1descfont>p{font-family:'.$titlefamily.';}</style>';
	}
}

	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
?>
	<style>
		<?php echo trim($customCss); ?>
	</style>
	
<?php endif; ?>

<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="infol1titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>

<div id="qcld-list-holder" class="qcld-list-hoder info1bgimage" <?php echo $hoderbg ?>>
	<div id="qcopd-list-<?php echo $listId; ?>">
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>
	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="height: 40px;" class="infol1titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	<div style="clear:both;margin-bottom:20px"></div>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_global.'">';
				

			?>
		</div>
	<?php 
	}
	?>
	<ul class="ilist_info1_list-menu">
	<?php foreach( $lists as $list_sl ) : ?>
	<?php 
		$cnt=1;
		if( $item_orderby == 'upvote' )
		{
			usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
		}
	?>
	<?php foreach($list_sl as $list) : ?>
			<?php
			
				if($cnt%2==1){
			?>
			<li class="pinfol1hoveritem wow <?php echo @$list['qcld_css_animation']; ?>" id="qcld_sl_<?php echo get_the_ID()."_".$cnt ?>" style="width: 100%;padding-top: 10px;<?php echo (isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])?($list['qcld_entrybg_color']!=''?'background:'.$list['qcld_entrybg_color'].'':'background:'.$ilist_item_bgcolor[0].''):($list['qcld_entrybg_color']!=''?'background:'.$list['qcld_entrybg_color'].'':'')); ?>">
			<?php
				}else{
			?>
			<li class="pinfol1hoveritem wow <?php echo @$list['qcld_css_animation']; ?>" id="ilist_info1_right-image" style="width: 100%;padding-top: 10px;<?php echo (isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])?($list['qcld_entrybg_color']!=''?'background:'.$list['qcld_entrybg_color'].'':'background:'.$ilist_item_bgcolor[0].''):($list['qcld_entrybg_color']!=''?'background:'.$list['qcld_entrybg_color'].'':'')); ?>">
			<?php
				}
			?>
																		
																					
						<div class="ilist_info1_list-content ilist_info1_one-column">
							<div class="ilist_info1_title">
								<div class="ilist_info1_title-border">
								
									<h2 class="ilist_info1_item-title infol1titlefont infol1hovertitlecolor info1tfontsize" <?php echo $titlecolor ?>>
										<?php 
											if(!empty($list['qcld_text_title'])){
										?>
											
												<?php 
														echo ($list['qcld_text_title']);
												?>
											
										<?php
											}
										?>	
				<?php if( $upvote == 'on' ) : ?>
				<div class="upvote-section" style="cursor:pointer">
					<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo trim($list['qcld_text_title']); ?>" class="upvote-btn-ilist upvote-on" style="font-size: 16px;cursor: pointer;">
						<i class="fa fa-thumbs-up"></i>
					</span>
					<span class="upvote-count-ilist" style="font-size: 16px;">
						<?php 
						  if( isset($list['sl_thumbs_up']) && (int)$list['sl_thumbs_up'] > 0 ){
							echo (int)$list['sl_thumbs_up'];
						  }
						?>
					</span>
				</div>
				<!-- /upvote section -->

				<?php endif; ?>
                
                
                
                
         <!-- Start Copy and Share Button  -->
				<div class="qcilist-copy-share-section">
					<div class="copy-success-message">
						Copied
					</div>
					<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
						<div><?php echo $list['qcld_text_title']; ?></div>
						<div><?php echo $list['qcld_text_desc']; ?></div>
					</div>
					<?php
						$post_link_url = get_permalink();
						//$post_link_url = 'https://quantumcloud.com';
						//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
						$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
						$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
						$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
					?>
					<div class="qcilist-copy-share-button">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
					</div>
					<div class="qcilist-copy-share-button-lists-container">
						<div class="qcilist-copy-share-button-lists">
							<div class="qcilist-copy-share-single-button qcilist-copy-button">
								<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
							</div>
							<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
								<a  title="Share to Twitter" 
									href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
									target="_blank"
								>
								  <span>
									<i class="fa fa-twitter" aria-hidden="true"></i>
								  </span>
								</a>
							</div>
						</div>
					</div>
				</div>
				<!-- End Copy and Share Button  -->            
                
                
                
                
                
                
												
									</h2>
								
								</div>
							</div>

			<?php 
				if($cnt%2==1){
			?>
							<div class="ilist_info1_left_content">
							
							<?php 
								if(isset($list['qcld_text_image'])&&$list['qcld_text_image']!=''){
									echo '<a class="example-image-link" href="'. (isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?$list['qcld_image_link']:$list['qcld_text_image']) .'" '.(isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"').'><img class="ilist_info1_example-image" src="'. ($list['qcld_text_image']).'" alt="image-1" /></a>';
								}elseif(isset($list['qcld_text_image_fa']) and $list['qcld_text_image_fa']!=''){
									echo '<div class="infog_free_1" style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').'"><i class="fa '.$list['qcld_text_image_fa'].'"></i></div>';
								}else{
									echo '<div class="infog_free_1" style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').'"><i class="fa fa-check"></i></div>';
								}
							?>
								
							</div>
							<div class="ilist_info1_right_content">

						<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>">
						<?php 	} ?>
								<span class="ilist_info1_list-sub-title infol1subtitlecolor infol1descfont infol1hoverdesccolor infog1dfontsize">
								<?php ilist_progress_bar(@$list['qcld_progress_bar']); ?>
								<?php 
									if($list['qcld_text_desc']!=''){
								?>
									
										<?php 
												
												echo apply_filters('the_content',$list['qcld_text_desc']);
										?>
															
								<?php
									}
								?>
								</span>

							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							</a>							
							<span id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>" style="display:none;">	
							<span class="ilist-fancybox-content" >	
							<?php echo apply_filters('the_content',$list['qcld_text_long_desc']); ?>
							</span>
							</span>
							<?php 	} ?>
							</div>
			<?php
				}else{
			?>
							<div class="ilist_info1_right_content">

						<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>">
						<?php 	} ?>
								<span class="ilist_info1_list-sub-title infol1subtitlecolor infol1descfont infol1hoverdesccolor infog1dfontsize">
								<?php ilist_progress_bar(@$list['qcld_progress_bar']); ?>
								<?php 
									if($list['qcld_text_desc']!=''){
								?>
									
										<?php 
												
												echo apply_filters('the_content',$list['qcld_text_desc']);
										?>
															
								<?php
									}
								?>
								</span>

							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							</a>							
							<span id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>" style="display:none;">	
							<span class="ilist-fancybox-content" >	
							<?php echo apply_filters('the_content',$list['qcld_text_long_desc']); ?>
							</span>
							</span>
							<?php 	} ?>
							</div>
							<div class="ilist_info1_left_content">
							<?php 
								if(isset($list['qcld_text_image'])&&$list['qcld_text_image']!=''){
									echo '<a class="example-image-link" href="'. (isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?$list['qcld_image_link']:$list['qcld_text_image']) .'" '.(isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"').'><img class="ilist_info1_example-image" src="'. ($list['qcld_text_image']).'" alt="image-1" /></a>';
								}elseif(isset($list['qcld_text_image_fa']) and $list['qcld_text_image_fa']!=''){
									echo '<div class="infog_free_1"><i class="fa '.$list['qcld_text_image_fa'].'"></i></div>';
								}else{
									echo '<img src="'.OCOPD_TPL_URL1.'/'.$template_code.'/images/list-image.JPG" alt=""/>';
								}
							?>
								
							</div>
			<?php
				}
			?>

							

						</div>
					
					
				</li>
		<?php $cnt++; ?>
		<?php endforeach; ?>
		<?php endforeach; ?>
	</ul>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='bottom'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_global.'">';
				

			?>
		</div>
	<?php 
	}
	?>
	</div>
	</div>
</div>
<div></div>
<?php if($boxed_layout==1): ?> </div> <?php endif; ?>

